commit 69f422814483c1b0074d8037189ebcd784f775d8
Merge: e37b2e3 29ded57
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 24 01:52:13 2026 -0400

    Merge remote-tracking branch 'refs/remotes/org-ai-assisted/ai'

commit 29ded5719aa9d3eb1daf96170a35612c0cccb099
Author: claude (dev272 e8b76afb-795c-4739-8ebd-023de854021e) <noreply@anthropic.com>
Date:   Fri Aug 21 04:00:23 2026 -0400

    libvirt-dist: source live-mode.sh via HELPER_SCRIPTS_PATH, drop SC1091 disable

    - live-mode-to-read-only, persistent-mode-to-read-write: use
      source "${HELPER_SCRIPTS_PATH:-}"/usr/libexec/helper-scripts/live-mode.sh;
      drop the dead '# shellcheck disable=SC1091' and the stale isolation note.
    - .github/dm-consumer.yml: dist-ai-tests: helper-scripts: true, so the
      pre-push-static gate checks out helper-scripts as the repo sibling and
      shellcheck FOLLOWS the source. See the shellcheck skill.
    - Complete the R-010 strict block (add 'export LC_ALL=C') on both touched
      files, required by the current gate.

    Co-Authored-By: Claude Opus 4.8 (1M context) <noreply@anthropic.com>

commit 758fa856594ff8f5c91fbf3182e186fefa53427c
Merge: b2c075f e37b2e3
Author: claude (dev272 e8b76afb-795c-4739-8ebd-023de854021e) <noreply@anthropic.com>
Date:   Fri Aug 21 03:56:09 2026 -0400

    Merge remote-tracking branch 'org-ai-assisted/master' into ai

commit e37b2e30c78d1f46759de637fd3795d763a1b150
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 15 16:02:10 2026 +0000

    bumped changelog version

commit b2c075fb92c0f0ca333e610e220e82363ae4c226
Author: claude (dev182 e09ec5cf-4ebf-4e1b-88e5-55fbac6ef1d3) <noreply@anthropic.com>
Date:   Mon Aug 10 13:53:59 2026 -0400

    install: connect virt-xml to qemu:///session

    The domain is defined, dumped and guarded via qemu:///session, but the
    virt-xml --add-device call used the default qemu:///system connection.
    It therefore targeted a different libvirt instance than the one holding
    the domain, so the shared filesystem was never attached (or failed).

    Co-Authored-By: Claude Opus 4.8 (1M context) <noreply@anthropic.com>

commit e7ad64856e429c1fcd68f759aeec69afa2dd0009
Author: claude (dev172 95595d52-ccfe-4088-99f2-560955a081b5) <noreply@anthropic.com>
Date:   Sun Aug 9 09:58:47 2026 -0400

    libvirt-dist: move the CI smoke test to the dist-ai suite

    The libvirt XML smoke test now lives in org-ai-assisted/dist-ai
    (usr/share/libvirt-dist-tests) and runs via the universal consumer wrapper,
    instead of the in-repo ci_test that also shipped to end-user systems.

    - Add .github/workflows/consumer-dist-ai-tests.yml (byte-identical managed
      wrapper) + .github/dm-consumer.yml (qemu / libvirt / adduser / safe-rm apt
      set the suite needs).
    - Add AGENTS.md (tests pointer) + CLAUDE.md stub.
    - Remove usr/share/libvirt-dist/ci_test (no longer shipped in the package) and
      .github/workflows/local-libvirt-xml-test.yml.

    dependabot.yml stays: it is a managed, byte-identical-across-consumers file
    (pkg_update_consumer_workflows), not a policy violation.

    The dist-ai suite is verified in a debian:trixie-slim container mirroring the
    reusable's environment: 1 pass, 0 fail.

commit 96dcf9eff24c188a739b8f5a46d9bf3828db5289
Author: claude (dev172 95595d52-ccfe-4088-99f2-560955a081b5) <noreply@anthropic.com>
Date:   Sun Aug 9 08:43:45 2026 -0400

    Keep the CI-test workflow TODO as an open item

    Reverts cd5adad. The move (relocate the test to dist-ai, drop dependabot.yml)
    is not done, so the TODO stays as the open question it was; rewording it as
    "decided/tracked" implied work that has not happened. Remove the TODO when the
    move actually lands, not before.

commit cd5adad4c650ee0acbe01c85a34be44f16d20fd8
Author: claude (dev172 95595d52-ccfe-4088-99f2-560955a081b5) <noreply@anthropic.com>
Date:   Sun Aug 9 08:40:09 2026 -0400

    libvirt-dist: retarget the CI-test workflow TODO to the dist-ai move

    The workflow TODO asked an open question -- move the test to dist-ai? drop
    dependabot.yml? The answer is yes and it is tracked, so state the decided
    direction (relocate the test, drop .github/dependabot.yml which belongs in the
    org-ai-assisted fork only) instead of the question. Comment-only.

commit 78d1a6ee68a02bfe7368fed348066e870e3c46ae
Author: claude (dev172 95595d52-ccfe-4088-99f2-560955a081b5) <noreply@anthropic.com>
Date:   Sun Aug 9 08:33:31 2026 -0400

    libvirt-dist: guard persistent-mode chmod; retarget shellcheck TODO

    persistent-mode-to-read-write: wrap each qcow2 chmod in 'test -f', matching
    live-mode-to-read-only. The two "deliberately similar" scripts disagreed:
    live-mode skipped a not-installed image, persistent-mode counted it as a
    chmod failure (exit 1). A VM the user has not installed is not an error, so
    persistent-mode now skips a missing image too (resolves the TODO at :56).

    live-mode-to-read-only + persistent-mode-to-read-write: replace the "can we
    avoid shellcheck in isolation?" TODO with a note pointing at the dist-ai test
    move -- once these run with the full derivative-maker tree present,
    'shellcheck -x' follows the source= directive and the SC1091 disable is
    unneeded. No code change there.

    Testing
    -------

    Differential mode-script harness (virsh / virt-xml stubbed), sandbox:

      13 same/expected, 0 failing

    The missing-image case is now an explicit assertion: with only Whonix-
    Workstation present, both VMs are still disk-edited and the absent
    Whonix-Gateway image no longer forces exit 1 (old: exit 1). All prior cases
    -- incl. the NameServer substring and virsh-failure-reported assertions --
    unchanged.

commit 6a2a10f6d56bbd05804425893fd7f3365c3d1dec
Author: claude (dev172 95595d52-ccfe-4088-99f2-560955a081b5) <noreply@anthropic.com>
Date:   Sun Aug 9 08:33:14 2026 -0400

    libvirt-dist: install: state-guarded, non-masking virsh + virt-xml setup

    Resolve the install helper's '|| true' masking (the TODO at install:39).
    errexit is on, so '|| true' was buying reinstall idempotency at the cost of
    hiding every real failure.

    Networks: define / autostart / start are each guarded by the network's
    current state (virsh net-list), so a re-run over an already-defined or
    already-active network is a clean no-op while a genuine virsh error now
    aborts the postinst. The 'default' network is environment-provided, so it is
    configured only when present instead of blindly attempted.

    Domains: 'virsh define' redefines an existing domain and returns success, so
    it is idempotent on its own; dropping '|| true' means malformed XML from the
    kvm->qemu substitution fails loudly.

    virt-xml --add-device appends UNCONDITIONALLY, so the old '|| true' did not
    just hide errors -- a reinstall ADDED A DUPLICATE shared-filesystem device.
    It is now guarded on the domain's current config (virsh dumpxml) and added
    only when absent.

    Testing
    -------

    Stub-based differential harness (virsh / virt-xml / getent / str_replace
    stubbed; /mnt + /var/lib redirected), run in the sandbox:

      8 passing, 0 failing

      fresh install defines + starts + attaches    exit 0, define x2, virt-xml x2
      reinstall is a clean no-op                    exit 0, 0 / 0 / 0
      default absent, nets present, fs added        exit 0, virt-xml x2
      virsh define failure aborts                   exit 1 (old swallowed -> 0)
      virt-xml failure aborts                       exit 1 (old swallowed -> 0)

    The 'old-differs' checks confirm the old code regressed on exactly these: a
    reinstall re-defined the nets and re-added the device (0 2 3 2), and a define
    or virt-xml failure exited 0 having done nothing. Harness to be ported to
    dist-ai (see the CI-move task).

commit deac5c45722c4b37be3d5788595afb5f541cd2a1
Merge: 7d00d44 c508ade
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 9 03:22:21 2026 -0400

    Merge remote-tracking branch 'refs/remotes/ArrayBolt3/arraybolt3/trixie'

commit c508adec029923b5e7ef3b8096ff31c85663f08d
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Fri Aug 7 17:55:52 2026 -0400

    Fixes and TODOs

commit 7306da5a5acf8935cd23f2d6c7dfefba30f4700b
Merge: 3bc5630 3270f7e
Author: Aaron Rainbolt <arraybolt3@gmail.com>
Date:   Fri Aug 7 15:32:41 2026 -0400

    Merge branch 'ai' into arraybolt3/trixie

commit 3270f7e59f5b6ce45d78185a103b5f48e89fe3a7
Author: claude (dev163 38f9745c-aed1-4fb4-b6ae-9899f20f8de2) <noreply@anthropic.com>
Date:   Fri Aug 7 14:52:55 2026 -0400

    restore 'set -x' dropped by the strict-mode pass

    The R-010 conversion replaced each script's existing preamble wholesale and did
    not carry 'set -x' across. That is a silent loss of diagnostic output, and for
    several of these it is the only output there is:

    - build-time scripts (hardened-kernel build / download / ci_test, tirdad
      build.sh, initializer-dist chroot-scripts-post.d): the trace IS the build log,
      so a failing invocation and its expanded arguments become unavailable exactly
      when they are needed.
    - boot-time scripts (libvirt-dist, repository-dist-initializer).
    - scripts whose only messages are 'true "INFO: ..."' lines, which produce
      nothing on their own -- removing xtrace silences them completely.
    - test harnesses (tb-updater unit_test, sdwdate-gui fuzzer), where the trace is
      the point.

    It was also inconsistent: initializer-dist's 80_cleanup kept it while its four
    siblings in the same directory lost it.

    Nothing asked for this and no commit described it as intentional, so it is
    restored everywhere it was active.

    Found by codex on initializer-dist. The other 19 files came from auditing the
    whole pass for the same pattern.

    Testing
    -------

    Gate exit 0 in an ISOLATED checkout, all eleven packages.

    Audit: ~/strict-pass-tests/audit-stripped-setx.sh, which compares every file
    changed on an 'ai' branch against org-ai-assisted/master and reports any that
    had 'set -x' and no longer do.

      before:  examined 43 package(s) on branch ai, 342 changed file(s); 23 stripped
      after:   examined 43 package(s) on branch ai, 342 changed file(s);  0 stripped

    The audit prints its own coverage, and fails outright if it examines zero
    packages. Its first version tested '[ -d "$pkg/.git" ]', which is false for a
    submodule -- .git is a FILE there -- so it skipped all 43 and reported nothing
    stripped. A count that can be read is the difference between "clean" and "never
    looked".

commit 8d472a2ab30e4559702254cef5af5c1fc2541b3f
Merge: 3bf25d8 63f3b49
Author: claude (dev163 38f9745c-aed1-4fb4-b6ae-9899f20f8de2) <noreply@anthropic.com>
Date:   Fri Aug 7 12:32:09 2026 -0400

    Merge org-ai-assisted/master into ai

    The branch was created from a stale local master, so its PR diff showed
    master's newer commits -- including a changelog version bump -- as REMOVALS.
    Merging rather than rebasing, per the no-history-rewrites rule.

commit 3bf25d81449227f5218873ff65793e33e17bcb39
Author: claude (dev163 38f9745c-aed1-4fb4-b6ae-9899f20f8de2) <noreply@anthropic.com>
Date:   Fri Aug 7 12:06:16 2026 -0400

    libvirt-dist: stop masking virsh failures, and stop dropping VMs by name

    An ai-review pass found two problems in the VM listing, one introduced by this
    branch and one pre-existing. Both leave a VM writable in live mode, which is the
    boundary these scripts exist to enforce.

      vm_names_list="$(virsh list --all | awk '{print $2}' | grep -v Name || true)"

    1. THE '|| true' SWALLOWED A REAL virsh FAILURE
    ------------------------------------------------

    It was added in the previous commit so that "no VMs defined" -- a normal state
    -- would survive pipefail. But it also swallows virsh actually FAILING:
    libvirtd down, or no permission. The script then gets an empty list, skips the
    loop entirely, and exits 0, reporting success while having enforced nothing.

    2. 'grep -v Name' WAS SUBSTRING MATCHING (pre-existing)
    --------------------------------------------------------

    It filters any line CONTAINING "Name", so a VM legitimately called
    'NameServer', 'Unnamed' or 'MyName' was silently dropped from the list and
    never switched to read-only.

    Both are fixed by skipping the two header lines POSITIONALLY:

      vm_names_list="$(virsh list --all | awk 'NR>2 {print $2}')" || exit_code="1"

    awk emits nothing for an empty list and exits 0, so "no VMs" still works
    without a guard; a virsh failure now propagates and is recorded by the
    accumulator rather than discarded.

    Testing
    -------

    Gate exit 0 in an ISOLATED checkout.

      13 same/expected, 0 failing

    The ten existing cases are unchanged. Three new ones ASSERT the new behaviour
    rather than merely noting a difference:

      a VM named NameServer is switched too    old vms=1  ->  new vms=2
      virsh failure is reported, not swallowed old exit 0 ->  new exit 1
      same, persistent-mode                    old exit 0 ->  new exit 1

    'old vms=1' is the substring bug caught in the act: the pre-change code
    switched only one of the two VMs. 'old exit 0' is the masked failure: success
    reported after enforcing nothing.

    The harness's virsh stub can now fail on demand, which is what made the second
    pair expressible at all.

commit 49b0a8611c525b4cdd7abcde3a6fb2294edcd1b8
Merge: f0ce429 7b9cbd9
Author: claude (dev163 38f9745c-aed1-4fb4-b6ae-9899f20f8de2) <noreply@anthropic.com>
Date:   Fri Aug 7 10:46:42 2026 -0400

    Merge org-ai-assisted/ai

    The remote branch advanced while this change was being prepared. Merging rather
    than rebasing, per the no-history-rewrites rule.

commit f0ce4295fc7576b8219fd9463dcee9935f2a6c6e
Author: claude (dev163 38f9745c-aed1-4fb4-b6ae-9899f20f8de2) <noreply@anthropic.com>
Date:   Fri Aug 7 10:46:14 2026 -0400

    libvirt-dist: R-010 strict mode for the 4 standalone scripts

    Files: usr/libexec/libvirt-dist/{host-boot-popup,install,live-mode-to-read-only,
    persistent-mode-to-read-write}.

    errexit would have silently skipped VMs
    ---------------------------------------

    live-mode-to-read-only and persistent-mode-to-read-write flip every VM's disk
    between read-only and writable at boot. Neither had 'set -e'. Their design is
    an ERR trap that RECORDS a failure into exit_code and lets the script CONTINUE,
    so every VM is processed and the problem is reported once at the end.

    Adding errexit breaks exactly that: the loop would abort at the FIRST failing
    VM and leave the rest untouched -- in live mode, an image that should have been
    made read-only silently staying writable. So every fallible command now records
    its own failure with '|| exit_code="1"' and errexit never fires for it. The
    trap stays for anything unanticipated.

    The chmods needed the same treatment, and persistent-mode-to-read-write is the
    worse case: unlike live-mode-to-read-only its two chmods are NOT guarded by a
    'test -f', so a missing image is a failure -- and under bare errexit the SECOND
    image would never be touched.

    Also
    ----

    - 'virsh list --all | awk | grep -v Name' fails under the newly added pipefail
      when NO VMs are defined, because the grep that strips the header matches
      nothing. That is a normal state, not an error.
    - live_status_detected comes from the sourced live-mode.sh: source= path plus
      the SC1091/SC2154 waivers an isolated checkout needs.
    - Deliberate word splitting over the VM list kept, with SC2086 stated.
    - SC2317 on error_handler, which is reached only through the trap.

    Testing
    -------

    Gate exit 0 in an ISOLATED checkout.

    New harness at ~/strict-pass-tests/lv-test/. virsh and virt-xml are stubbed and
    the image paths redirected, so no real VM is touched. Ten cases across both
    scripts: the mode that does nothing, both VMs succeeding, virt-xml FAILING, no
    VMs defined, and images missing.

    Beyond output and exit code it also compares HOW MANY VMs were actually
    processed, because that is the property the accumulator design exists to
    guarantee and an exit code alone cannot show it.

      10 same, 0 differing

    Canary: reverting just the '|| exit_code="1"' guards in
    persistent-mode-to-read-write gives 8 same, 2 differing -- and the tell is
    'vms=2' becoming 'vms=1' at an IDENTICAL exit code of 1. Without the VM counter
    that regression would have looked like a pass.

    Harness note: the first version of this test reported 10 same / 0 differing
    while exercising nothing. 'virsh list --all' output is COLUMNAR and the scripts
    take the name with awk '{print $2}'; a single-column stub made every name come
    out empty, so the loop body never ran. The 'vms=' counter is what exposed it.

commit 63f3b4908e3b1fcb5acdf3cb6721e93fc9d79eef
Merge: 7d00d44 7b9cbd9
Author: assisted-by-ai (Bot Account) (Machine Account) <228987186+assisted-by-ai@users.noreply.github.com>
Date:   Sat Aug 1 05:01:20 2026 -0400

    Merge pull request #4 from org-ai-assisted/ai

    add CodeQL consumer workflow (actions)

commit 7d00d44011f2769631a68d3a4664ed64b4d65560
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 31 18:03:40 2026 +0000

    bumped changelog version

commit 4caad75102ba5139770ad1afe26c471bb245ac3a
Merge: 34c5d39 f3341d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 31 13:10:09 2026 -0400

    Merge remote-tracking branch 'refs/remotes/org-ai-assisted/master'

commit 7b9cbd901385bd58dad771f1017b847ed07c851c
Author: claude (dev142 b93fb2c6-e15f-4d45-8566-f3ded893b70e) <noreply@anthropic.com>
Date:   Fri Jul 31 12:59:15 2026 -0400

    add CodeQL consumer workflow (actions)

    - Replaces GitHub default-setup CodeQL (web-UI state, no file
      representation) with the org's file-based consumer wrapper.
    - Byte-identical copy of
      developer-meta-files/consumer-templates/.github/workflows/.
    - No .github/dm-consumer.yml needed: consumer-codeql-actions.yml
      passes no dm-consumer-section.
    - queries stays the reusable's default security-and-quality,
      a superset of the security-extended suite default setup used.

    Generated with assistance from Claude Code.

commit f3341d3d828c607903d45abaf0c3d53ea585551c
Merge: 34c5d39 dac3d1e
Author: assisted-by-ai (Bot Account) (Machine Account) <228987186+assisted-by-ai@users.noreply.github.com>
Date:   Fri Jul 31 10:42:01 2026 -0400

    Merge pull request from org-ai-assisted/ai

    ci: gate the local workflows on CI_ENABLED_ORG_AI_ASSISTED

commit dac3d1ea60a92a13125a5de14b1f3a5eeed00aba
Author: claude (dev138 9b889944-0a22-45e7-8fd6-c189113e33b9) <noreply@anthropic.com>
Date:   Fri Jul 31 09:32:44 2026 -0400

    ci: gate the local workflows on CI_ENABLED_ORG_AI_ASSISTED

    Our workflows ran wherever the branch landed. Merged upstream they burn
    Kicksecure/Whonix runner quota and post our CI into repos that never
    asked for it; on a contributor fork they run the whole suite unbidden.
    Only 5 of 136 workflow files across the fleet carried any owner gate.

    Gate: a job-level `vars.CI_ENABLED_ORG_AI_ASSISTED == 'true'`, set once
    as an organization variable on org-ai-assisted. Zero runner cost -- a job
    whose `if:` is false never allocates one -- and the run still reports
    green, so upstream and forks are not handed a red X for a lane they did
    not opt into. A fork that WANTS the lane sets the same variable in its
    own repo; no patch to these files, no fork of our workflows.

    ANDed in front of any existing fork-PR guard rather than replacing it.

    Verified: the workflow-yaml validator reports 0 findings for this repo.

    Generated with assistance from Claude Code.

commit 34c5d396d1b3437e01b77b610c8945d4eb2c1965
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 21 10:37:35 2026 +0000

    bumped changelog version

commit 595519e43d822f762cc7dc83b631a87033531266
Merge: 3bc5630 4b18efb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 21 06:16:48 2026 -0400

    Merge remote-tracking branch 'refs/remotes/org-ai-assisted/master'

commit 4b18efb2af57bc428935930c1f868099e42366b7
Author: assisted-by-ai (Bot Account) (Machine Account) <228987186+assisted-by-ai@users.noreply.github.com>
Date:   Sun Jul 19 04:13:40 2026 -0400

    libvirt-dist: use .py names for msgcollector/tb-updater libexec scripts (#2)

    The Python libexec scripts now ship only under their <name>.py names (compat
    symlinks removed upstream in msgcollector/tb-updater); update the
    /usr/libexec/... call sites here to match.

    AI-Assisted

    Co-authored-by: claude (dev95 d7769525-599d-4781-9f2c-f21aa34d292d) <noreply@anthropic.com>

commit 3bc563075496048224b2bae046fa2311012f5189
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 29 15:23:04 2026 +0000

    bumped changelog version

commit acb6b116e404b97215f4ae60b1e7435c0f138157
Merge: d30006b fb304b1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 29 07:24:34 2026 -0400

    Merge remote-tracking branch 'org-ai-assisted/ci-test-review'

commit fb304b1a3183d15e59a1a77bf1e4666bfe47cba1
Author: claude (dev23 cdb19ee5-c6d4-436b-8991-f8158258f322) <noreply@anthropic.com>
Date:   Mon Jun 29 07:10:20 2026 -0400

    ci_test: never touch real libvirt state (AI-review fixes)

    Codex and CodeRabbit both flagged that the storage-pool test used the
    real 'default' pool name and the real ~/.local/share/libvirt/images
    directory, and cleanup recursively removed that directory - destroying a
    real user's VM disks on an opt-in CI=true run. CodeRabbit also flagged
    that define/undefine of the production domain names removes a real
    operator's domains.

    - Import into a throwaway pool ('libvirt-dist-ci-test') whose target is
      under work_dir; cleanup no longer touches the real pool or images dir.
    - Use a uniquely named $HOME test image and refuse to overwrite a
      pre-existing file, checked BEFORE the cleanup trap is armed so a
      refusal cannot delete that file.
    - Refuse to define over a domain that already exists in the session.

    Verified: happy path passes; a pre-existing $HOME image survives the
    refusal intact; only the throwaway pool/target are used.

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>
    Claude-Session: https://claude.ai/code/session_01Q9ESjheomo1DVWDvBPensX

commit 64619d7da71689145c1b69b13a43894406a750c0
Author: claude (dev23 cdb19ee5-c6d4-436b-8991-f8158258f322) <noreply@anthropic.com>
Date:   Mon Jun 29 06:54:51 2026 -0400

    ci_test: integrate $HOME image import; drop separate pool probe

    Fold the storage-pool image import into the main ci_test and remove the
    separate default-pool-probe job/script. ci_test now also: creates a
    qcow2 in $HOME up front (before any virsh), and after the domain
    define/undefine checks imports it into a dedicated qemu:///session pool
    via pool-create-as --build + mv + pool-refresh, asserting the volume
    registers. Cleanup tears the pool + image down. Workflow drops the
    second job and adds qemu-utils (qemu-img).

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>
    Claude-Session: https://claude.ai/code/session_01Q9ESjheomo1DVWDvBPensX

commit 199e4aa20d0a97c4179daeac8ce07920361cd1d7
Author: claude (dev23 cdb19ee5-c6d4-436b-8991-f8158258f322) <noreply@anthropic.com>
Date:   Mon Jun 29 06:49:46 2026 -0400

    ci: create the $HOME qcow2 before any virsh command

    Move the qemu-img create to the top of main() so the proof starts from
    the real precondition: the image already exists in $HOME before any
    libvirt command runs. It lands in $HOME (not images_dir), so the
    "directory absent" assertions still hold; cleanup now also removes it.

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>
    Claude-Session: https://claude.ai/code/session_01Q9ESjheomo1DVWDvBPensX

commit e04e8ba6e3cf83a6ed392ef8117cb8a5efa357d2
Author: claude (dev23 cdb19ee5-c6d4-436b-8991-f8158258f322) <noreply@anthropic.com>
Date:   Mon Jun 29 06:45:31 2026 -0400

    ci: extend pool probe with shortest $HOME image import

    Fold the image-import demo into the existing default-pool-probe script
    instead of a separate job. After proving the directory is created only
    by pool-build, start the pool and import a pre-existing $HOME image into
    the dedicated (non-$HOME) pool via mv + pool-refresh, asserting the
    image registers as a volume and leaves $HOME. Add qemu-utils (qemu-img)
    to the job's apt packages.

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>
    Claude-Session: https://claude.ai/code/session_01Q9ESjheomo1DVWDvBPensX

commit a8ccfc39c2b2fdff12a32e0c30aff73c2b57bd89
Author: claude (dev23 cdb19ee5-c6d4-436b-8991-f8158258f322) <noreply@anthropic.com>
Date:   Mon Jun 29 06:00:43 2026 -0400

    ci_test: make virt-xml-validate actually validate (drop || true)

    The validate step was masked by '|| true' and silently did nothing: on
    the runner virt-xml-validate printed "cannot determine schema type"
    because its xmllint-based root-element autodetection is unreliable and
    xmllint (libxml2-utils, only a Recommends of libvirt-clients) was
    dropped by --no-install-recommends.

    - Pass the explicit 'domain' type so validation no longer depends on
      autodetection, and drop '|| true' so an RNG schema violation fails CI.
    - Install libxml2-utils in the workflow so xmllint is present for the
      actual relaxng validation.

    Verified locally: all four domains validate (rc 0) and a corrupted XML
    fails to validate (rc 3).

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>
    Claude-Session: https://claude.ai/code/session_01Q9ESjheomo1DVWDvBPensX

commit a88a6d5c3d8fb95efd53088eca742a3786d4cc02
Author: claude (dev23 cdb19ee5-c6d4-436b-8991-f8158258f322) <noreply@anthropic.com>
Date:   Mon Jun 29 05:41:46 2026 -0400

    ci: prove the default session pool dir is not auto-created

    Add ci/libvirt-default-pool-probe.sh and a second workflow job that, on
    a pristine runner, asserts step by step whether libvirt auto-creates
    ~/.local/share/libvirt/images (the <source pool='default'> path the
    domain XML references):

    - fresh runner: absent
    - after connect + pool-list: no 'default' pool is auto-defined; absent
    - after pool-define: absent
    - after pool-start: start FAILS, dir still absent
    - after pool-build: created

    Each step is an assertion, so CI fails if libvirt's behaviour changes.
    The conclusion: only 'virsh pool-build' creates the directory; nothing
    auto-creates it.

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>
    Claude-Session: https://claude.ai/code/session_01Q9ESjheomo1DVWDvBPensX

commit c596d435a7ea7a90f859b3e564953a5d8e44bfa2
Author: claude (dev23 cdb19ee5-c6d4-436b-8991-f8158258f322) <noreply@anthropic.com>
Date:   Mon Jun 29 05:30:47 2026 -0400

    ci: install qemu-system-modules-spice so spice graphics validate

    The runner installs qemu with --no-install-recommends, which drops
    qemu-system-modules-spice (SPICE is a loadable module, only a Recommends
    of qemu-system-x86). Without it libvirt rejects the domains'
    '<graphics type=spice>' device: "spice graphics are not supported with
    this QEMU", failing 'virsh define'. Add the module so the unmodified
    production XML validates instead of stripping the device.

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>
    Claude-Session: https://claude.ai/code/session_01Q9ESjheomo1DVWDvBPensX

commit 3f32912c893dc169d9ae438f66354f80da215f04
Author: claude (dev23 cdb19ee5-c6d4-436b-8991-f8158258f322) <noreply@anthropic.com>
Date:   Mon Jun 29 05:25:10 2026 -0400

    ci: use org install-deps composite action for helper-scripts

    A bare git checkout of helper-scripts ships usr/bin/sanitize-string but
    not its installed python module, so log_run_die.sh's log() aborts with
    ModuleNotFoundError: No module named 'sanitize_string'. Replace the
    manual checkout + HELPER_SCRIPTS_PATH/PATH overrides with the org's
    standard org-ai-assisted/developer-meta-files install-deps action, which
    genmkfile-installs helper-scripts (str_replace + python packages) to the
    real system paths and installs the apt deps. The script then runs with
    no path overrides, identical to a packaged install. @master tracks the
    org single source of truth (G-A-004).

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>
    Claude-Session: https://claude.ai/code/session_01Q9ESjheomo1DVWDvBPensX

commit faf8e19e2ee818b85638b6b264b71da55086dde0
Author: claude (dev23 cdb19ee5-c6d4-436b-8991-f8158258f322) <noreply@anthropic.com>
Date:   Mon Jun 29 04:49:16 2026 -0400

    ci_test: idiomatic bash rewrite + local- GitHub Actions workflow

    Rewrite usr/share/libvirt-dist/ci_test to the org bash style:
    - bash + AI-Assisted header + strict-mode preamble; source
      helper-scripts log_run_die.sh (log/die/has).
    - Stop editing the shipped XML in place: copy to a mktemp work dir
      and run the kvm -> qemu rewrite there via str_replace, mirroring
      the install script. Source tree stays pristine.
    - Gate the kvm -> qemu / drop-host-passthrough rewrite on
      'virsh capabilities', so the same test passes on a KVM host and
      in CI / Qubes / nested virt where KVM is unavailable.
    - collapse the repeated separator blocks into one separator_line
      variable; drop the Travis-era apt/debug cruft and dead net-define
      paths. define/undefine needs no VM disk image (the image is only
      opened on domain start), so no images are required.

    Add .github/workflows/local-libvirt-xml-test.yml: a repo-private
    (local-) workflow that installs session-mode libvirt + qemu, checks
    out helper-scripts @master for the sourced lib + str_replace, and
    runs the smoke test on a plain hosted runner. contents: read,
    per-ref cancellable concurrency, SHA-pinned checkout.

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>
    Claude-Session: https://claude.ai/code/session_01Q9ESjheomo1DVWDvBPensX

commit d30006ba66bcc09e99265b357bd12dc50b530b9f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 26 18:26:17 2026 +0000

    bumped changelog version

commit d27f695e861f77a4d5abc73047d48414220e614e
Merge: 20ebccd 4490af0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 26 13:17:58 2026 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit 4490af0e83cc16dbd3a70505a3870ecc792f9b1f
Merge: 20ebccd a44c78f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 26 13:16:26 2026 -0400

    Merge pull request #119 from Kicksecure/rootless-kvm-session

    port to rootless and unix domain sockets

commit a44c78fc58daf4b31dd1bb6e55812aad598b4f33
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sun Jun 7 05:40:17 2026 +0000

    Port to QEMU Session

commit 6ad4794d579dc1d8570073c34fc5889f3f5538b2
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sun Jun 7 05:34:51 2026 +0000

    Port to QEMU Session

commit 4e90548fcaae6be9847c37278609f2697c933271
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sun Jun 7 05:27:40 2026 +0000

    Port to QEMU Session

commit 097c8a63572e702b075aba6031d167ef885dabca
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sun Jun 7 05:14:17 2026 +0000

    Update Kicksecure.xml

commit cdacccc6a6f6ae90511d74687deb9a865bd6ce3a
Merge: 726008f 8f14e3d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 4 16:06:00 2026 -0400

    Merge remote-tracking branch 'gitlab-adrelanos/rootless-kvm-session' into rootless-kvm-session

commit 8f14e3d4ab0f06b8e2a58fae8fe0424e33b8c3f1
Author: claude <noreply@anthropic.com>
Date:   Thu Jun 4 16:02:51 2026 -0400

    pin internal NIC to fixed PCI slot (bus=pcie.0,addr=0x10)

    The internal Gateway<->Workstation NIC is added via <qemu:commandline>,
    so libvirt's PCI allocator never sees it and QEMU auto-places it at the
    first free pcie.0 slot, 0x1. virtio-vga is libvirt-assigned to that same
    slot 0x1, so on q35 with a video device present the domain fails to start:

      PCI: slot 1 function 0 not available for virtio-vga,
      in use by virtio-net-pci,id=(null)

    Pin the unmanaged NIC to pcie.0 slot 0x10 (clear of libvirt's managed
    devices) to make placement deterministic and avoid the collision.
    Network semantics are unchanged: still -netdev stream over a unix domain
    socket, rootless, no shared memory.

    Co-Authored-By: Claude Opus 4.8 <noreply@anthropic.com>

commit 726008fe9e90b513b466856fa448ea97483b763f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 4 15:47:01 2026 -0400

    test

commit b558ecc35f45c3cccf349fd45116a0806533e10b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 4 15:44:59 2026 -0400

    test

commit 5b22d3a4cb1706bc028ceac3a318601f77560f8a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 4 15:39:46 2026 -0400

    system -> session

commit 6de49597dec92548b38bd212dcea6956b4bdbd21
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 3 15:06:55 2026 -0400

    use header `<domain type='kvm' xmlns:qemu='http://libvirt.org/schemas/domain/qemu/1.0'>`
    because required when using `<qemu:commandline>`

commit 3af75f6000da8a0265daa01fe7a1a10e89a34d65
Author: claude <noreply@anthropic.com>
Date:   Wed Jun 3 13:21:25 2026 -0400

    port to rootless and unix domain sockets

    https://forums.whonix.org/t/rootless-virtual-machines-with-kvm-and-qemu/20952

    https://forums.whonix.org/t/no-internet-connection-inside-whonix-workstation-kvm-with-nordvpn-with-kill-switch-on-host/13763

commit 20ebccd7677e554c542328dcd789ecedc413e3c9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 20 22:11:37 2026 +0000

    bumped changelog version

commit 63f6e5c2403c4e8552c5b37c6d45923f505fbdbd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 20 16:56:58 2026 -0400

    genmkfile uch

commit 26c24b999b5a7dd30c21f4531f6f75b29b80b17a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 28 09:47:10 2026 +0000

    bumped changelog version

commit b17b7f909ffcc537b334c6658b568c45bc03a9a2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 28 05:30:31 2026 -0400

    readme

commit b5a658bd92a10da6317b0b7426dd9c42a8345304
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 28 05:26:54 2026 -0400

    signed commit

commit 1f1d6b45e88d45ead5542f483bff573bccc9a919
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 1 17:13:27 2026 +0000

    bumped changelog version

commit 2ae45feac73474f213881ac56526c7f9aac1253e
Merge: b50717c 88d2e51
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 1 11:59:35 2026 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 88d2e5179bcc735326fa00e0a02f449062e9b8d8
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 30 19:19:24 2025 -0600

    Use _FLAVOR_ consistently in UTM files

commit b50717c525536f9fe9d22c90fd90f733a8d95886
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 28 21:09:23 2025 +0000

    bumped changelog version

commit 617bf7d6994b76cd1c0a5fb1d0824f0f4a85a2a7
Merge: c849d76 e22de17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 28 16:59:45 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit e22de1762229b0279c08344f96f26b8cad54d146
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Sep 28 11:10:46 2025 -0500

    Disable clipboard sharing

commit c849d762da4033f0c5fafd31eb189dbaf351a84b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 19 16:14:34 2025 +0000

    bumped changelog version

commit 929e1880d4d77642d0afd24f5f785373c01e88ca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 18 10:07:46 2025 -0400

    fix

commit 8ae23886dd3ddb70c96794201ff37ec4157fad66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 17 14:45:29 2025 +0000

    bumped changelog version

commit 03e6ee50dec5e7771140a53628d5bd273fbb3491
Merge: b617ef2 94b39fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 17 09:47:30 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 94b39fc889e7a1538d814145ebac2f05403550b7
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Sep 16 22:01:14 2025 -0500

    Add IPv6 support to the Whonix external network

commit b617ef25bf3e21d78a63bb1eb86422431dc6e8e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 2 15:20:58 2025 +0000

    bumped changelog version

commit 9c9099b2cb738096228dcb85ccef4366ac95d603
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 27 19:26:36 2025 +0000

    bumped changelog version

commit 5a74a5c7d56d7dc7e5ac400b3a1b41bd75c31ccf
Merge: 1619846 24efa6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 27 05:58:29 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit 24efa6d494e7ce8553f99162dc31cb8c381de08c
Merge: f9c4325 1619846
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Aug 26 19:20:06 2025 -0500

    Merge branch 'master' into arraybolt3/trixie

commit 16198461c24af077da51541dcd47ceeb95e51b4e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 26 09:11:47 2025 +0000

    bumped changelog version

commit f9c4325ded7912b589ba131ac9a44c8dcc417d57
Merge: 972d1e7 528bb6d
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Aug 21 19:57:22 2025 -0500

    Merge branch 'master' into arraybolt3/trixie

commit 972d1e7bc0505e322e537252ecc4d08085d20505
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Aug 21 18:28:02 2025 -0500

    Change Xfce to LXQt where appropriate

commit 528bb6dc988b9329d0836d4d684f2cc5a456220e
Merge: db67557 fe724a0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 08:48:26 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/trixie'

commit db67557f9379274751bcfea65ae83267edbee068
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 06:57:27 2025 -0400

    bumped Standards-Version

commit 9a4ede1514d2279075dacb75814fc825963f8507
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 20 06:25:33 2025 -0400

    readme

commit fe724a08ebed24851a57c6062506e64d20981ae9
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Aug 5 22:58:03 2025 -0500

    Port to Trixie.

commit 959006daa24f606d9b0eccded507cd1e5c341b51
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 13:56:56 2025 +0000

    bumped changelog version

commit 115fd194ed7e042842fba67822d625073bd9ff3a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 08:31:47 2025 -0400

    fix

commit 0b7037d5973b12b95d7f9a41b541e2975d19bdc4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 09:53:45 2025 +0000

    bumped changelog version

commit 075fe828cb999ee59c00be0062d3f5f478ad9ffb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 05:29:22 2025 -0400

    comment

commit a4c5e7c62737f19e2a0f1ada7a4b8eb01d48bce5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 12:38:39 2025 +0000

    bumped changelog version

commit 34e79d59cfd07db7f60b3f94637737e8c9d72489
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 05:55:14 2025 -0400

    output

commit 96098d0c7f99ccd3895a648ee05d0018bf183950
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 05:50:56 2025 -0400

    improve live mode detection

commit 65dbf1d62de0380908671c86e06038153cd7c330
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:57:06 2025 +0000

    bumped changelog version

commit b5e213d6d6aeafc0d284d543b9dd60d4db6cdb7c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 07:44:29 2025 -0500

    LANG=C str_replace: no longer requires LANG=C, therefore removed

commit 6df330dd2d2eba0c012d634874a4295d977b0c48
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 16:24:46 2025 +0000

    bumped changelog version

commit 55434a21bd8fc4233eebcdfcc4ec76850798498d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 11:11:53 2025 -0500

    copyright

commit 973f103d6a741f88eb9298efd76456ca2b07a676
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 13:13:20 2025 +0000

    bumped changelog version

commit 8a1036ef682a89e1423a0282cb7ebd770d3f56c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 08:11:01 2025 -0500

    readme

commit d61bcc9dc5dc5ba038945309fe1f429897c34914
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 18:38:12 2024 +0000

    bumped changelog version

commit 51dd9e6e468ee137cdbbd938bc47644834442c98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 13:26:18 2024 -0500

    copyright

commit 8bd3a50a82d2bcc0c76b6ee17d0adcb5869cec7c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 28 18:29:31 2024 +0000

    bumped changelog version

commit 261d0a15ea122bcf4042740536b0b536cd1c8fd0
Merge: 3f00bed 0e88719
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 28 13:26:19 2024 -0500

    Merge remote-tracking branch 'github-kicksecure/master'

commit 0e8871917917ceb037494feaa360656ea4152211
Merge: 3f00bed 21756cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 28 13:24:29 2024 -0500

    Merge pull request #118 from coquizen/patch-1

    Update Whonix-Gateway.plist.template

commit 21756cb83f510b76f16180e3929cc98178635f9a
Author: Ian C <16412897+coquizen@users.noreply.github.com>
Date:   Wed Nov 27 13:25:36 2024 -0500

    Update Whonix-Gateway.plist.template

    Should the user decide to build Whonix-Gateway-CLI instead of Whonix-Gateway-Xfce, this template wouldn't work. I propose using `_FLAVOR_` to account for user choice. I made a pull request [here](https://github.com/Whonix/derivative-maker/pull/11) as well. NOTE: should this be approved, this should be synchronous with the other PR.

commit 3f00beda3189a91900967a263cc217486c5489c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 16 18:04:29 2024 +0000

    bumped changelog version

commit 7047b910c06fcc121e0ad2b4e1899aee71865b0d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 16 08:23:46 2024 -0400

    shuffle

commit 4883685addec724605da96ce8c2663fcb21171e6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 16 08:21:53 2024 -0400

    newlines

commit 7e772cb1730ea13451cbeb57efde7df9b4581330
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 16 08:18:01 2024 -0400

    newlines

commit 78614c164cb2ebf874f7a1ceefd73753000e2153
Merge: 114fa64 e2f2443
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 16 07:07:55 2024 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit e2f244313705d72e3f204d85864538ca044b9e82
Merge: 114fa64 ab5bfc1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 16 07:06:54 2024 -0400

    Merge pull request #117 from TNTBOMBOM/patch-7

    Update Whonix-Gateway.xml 3D Acceleration

commit ab5bfc100485d9e833cfb19f6ef52c2d4e315668
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Mon Sep 16 03:11:06 2024 +0000

    switching  clipboard copypaste to yes

commit 17ea2c8772e95235d037eb6e02e4a1e13b2f1f34
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Sun Sep 15 13:36:43 2024 +0000

    Update Whonix-Gateway.xml 3D Acceleration

    - SPICE set to none (locally)
    - Added 3D acceleration (disabled)
    - Added OpenGL (disabled)
    - Switched KiB to GB for RAM
    - Added human readed comments

commit 114fa649812b15bc75209063ca0c5d539dcb7123
Merge: d0ff01b 452fc98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 14 14:32:07 2024 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit 452fc98d993274fb7e0d681759e6c51f11c99d05
Merge: 8912d51 cc4a225
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 14 14:28:26 2024 -0400

    Merge pull request #116 from TNTBOMBOM/patch-6

    Update Whonix-Custom-Workstation.xml with 3D acceleration edits

commit 8912d51b35fe7ef0acad240add9301406e46df51
Merge: 22614ee b6ccd65
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 14 14:28:09 2024 -0400

    Merge pull request #115 from TNTBOMBOM/patch-5

    Update Whonix-Workstation.xml to use GB

commit 22614ee5d843e7c26e665b2f21ec66947aada231
Merge: bf73720 558e521
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 14 14:26:06 2024 -0400

    Merge pull request #114 from TNTBOMBOM/patch-4

    Update Kicksecure.xml with 3D acceleration

commit cc4a225402f92afac699c5a96e8cd7852d82f065
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Sat Sep 14 17:29:15 2024 +0000

    Update Whonix-Custom-Workstation.xml with 3D acceleration edits

commit 558e5211d9c421b4bbce86786a1a5e794100ad0b
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Sat Sep 14 15:48:11 2024 +0000

    Update Kicksecure.xml switch memory to GB

    - Using memory in GB instead of KiB

commit b6ccd6562867c4a8aee02d4c2cea817b9047a3dd
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Sat Sep 14 15:45:02 2024 +0000

    Update Whonix-Workstation.xml to use GB

    - Using GB by default instead of MB

commit 6bbd5aab214f304313b4af47c733e524c0431e18
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Sat Sep 14 15:30:00 2024 +0000

    Update Kicksecure.xml with 3D acceleration

    - Added 3D acceleration (disabled by default)
    - Added OpenGL (disabled by default)
    - Adjusted RAM to represent 2GB
    - SPICE listen to none (mean only listen locally)

commit bf737208ee5ba4364e0777e488173fd3397273f0
Merge: d0ff01b 910c877
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 14 03:01:24 2024 -0400

    Merge pull request #113 from TNTBOMBOM/patch-3

    Whonix-Workstation KVM 3D acceleration configs

commit 910c877ec925767f96600b7869944c5dcdb58be4
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Sat Sep 14 05:24:29 2024 +0000

    Adjusting RAM KiB to represent 1.25 GB

commit c485ae1ae46e56beb401c072b59ad481e9c28c48
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Sat Sep 14 05:20:01 2024 +0000

    Update Whonix-Workstation.xml

    Adjust memory KB to represent exactly 2GB

commit 0859f08b644df3b4e5c9acec3911f49d08a77df9
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Sat Sep 14 04:27:40 2024 +0000

    Whonix-Workstation KVM 3D acceleration configs

    Whonix-Workstation KVM 3D acceleration configs

    - SPICE video: listen to none (which mean locally only) by default

    - Added 3d acceleration but disabled

    - Added OpenGL but disabled

    - Added user readable commits

commit d0ff01bd160419938aa633cc431cfd98fc9aa0f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 20 12:11:26 2024 +0000

    bumped changelog version

commit 4514d4888d754cab1c6c3887d15b4d7c9b4e669b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 20 05:32:54 2024 -0400

    rate limit RNG /dev/random

    <rate bytes='1024' period='1000'/>

    https://forums.whonix.org/t/help-welcome-kvm-development-staying-the-course/166/566

commit f848badbee69b0657f8fdf94a005aa9cb387b24d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 15 17:50:47 2024 +0000

    bumped changelog version

commit 69b35f14cb258f1a0553cde35838824ab7f5c9d6
Merge: 5752881 da5378c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 15 06:19:35 2024 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit da5378c1d465e4fc9d14e0f2fee7f6c4cbadc2db
Merge: 9da7e14 5b9607e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 15 05:50:48 2024 -0400

    Merge pull request #111 from TNTBOMBOM/patch-2

    Update Whonix-Internal.xml with <dns enable="no"/>

commit 9da7e14152e783dbb87c34326f041cab3b11a942
Merge: 5752881 090e600
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 15 05:50:37 2024 -0400

    Merge pull request #112 from TNTBOMBOM/patch-1

    Update Whonix-External.xml with <dns enable="no"/>

commit 5b9607eef0beff13696748c1baaf3e8a9fb06db8
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Thu Aug 15 05:44:11 2024 +0000

    Update Whonix-Internal.xml with <dns enable="no"/>

commit 090e600617d5bb6d9a54267a4b12d15ba5c0f79c
Author: TNT BOM BOM <TNTBOMBOM@users.noreply.github.com>
Date:   Thu Aug 15 05:43:00 2024 +0000

    Update Whonix-External.xml with <dns enable="no"/>

commit 5752881dcc3444ce6bc777e9e6196f1fe6228263
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 4 12:20:50 2024 +0000

    bumped changelog version

commit b3d07e78a1d53e75d1d37a61ebf0eb3b883d3b03
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 29 07:31:28 2024 -0400

    `/dev/urandom` -> `/dev/random`

    `<backend model='random'>/dev/urandom</backend>` -> `<backend model='random'>/dev/random</backend>`

    https://www.kicksecure.com/wiki/Dev/Entropy

commit 9ef129ff6d6714c0803038bc227e24ccfa7429fe
Merge: ff83793 0772bdb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 29 06:54:12 2024 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit 0772bdb725a2a2a4d654d0a9cb6522d372bea4cf
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sat Jun 22 07:16:28 2024 +0000

    Upgraded machine to q35 chipset

commit 02430eefdcaa5dabd21ba02a6eb0abd1a0a2eae3
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sat Jun 22 07:14:14 2024 +0000

    Upgraded machine to q35 chipset

commit d07933241b88f8b3b8f294f4c47e3b331bb9f109
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sat Jun 22 07:12:29 2024 +0000

    Upgraded machine to q35 chipset

commit 58438b31503456ae88832f5a10b425b4fc6f11d4
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sat Jun 22 07:07:35 2024 +0000

    Upgraded machine to q35 chipset

commit ff837938443112c9c6a0d9695d6cf5370b6c25d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 18 16:04:39 2024 +0000

    bumped changelog version

commit 09a7fb1349876883cacccd1e2e027640010e7c10
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 18 12:03:01 2024 -0400

    Whonix KVM: Increase Whonix-Gateway RAM to `1280` MB and Whonix-Workstation RAM to `2048` MB to be on par with Whonix for VirtualBox for simplified maintenance effort

    https://forums.whonix.org/t/help-welcome-kvm-development-staying-the-course/166/554

commit 5633580b3be344f0c31eb65371bb0c592cd7ba7b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 3 18:28:04 2024 +0000

    bumped changelog version

commit b86756e320fdf61b6287e4b03a0cc4d2a3c3ba3a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 3 13:18:05 2024 -0500

    signed commit

commit e01f47d1c07eb125057531dfe435875c8595c172
Author: GavinPacini <gavin.pacini@gmail.com>
Date:   Sat Feb 3 15:24:50 2024 +0000

    use template files for utm configs with _ARCH_ and _TARGET_

commit 84537a4bf5e0c2647a2077c5be86eab7eeb4641a
Merge: 9e1172e dbeee37
Author: GavinPacini <gavin.pacini@gmail.com>
Date:   Sat Feb 3 02:49:46 2024 +0000

    Merge branch 'master' into feat/utm-intel-amd64

commit 9e1172e1867e61e4408cbd2b7a221561c41d591a
Author: GavinPacini <gavin.pacini@gmail.com>
Date:   Sat Feb 3 02:46:07 2024 +0000

    fix GPU usage and Kicksecure UTM configs

commit dbeee37dceed62f30c0c0121e448e754909b4f07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 12:35:41 2024 +0000

    bumped changelog version

commit 28eb38e9f50c504b00deca90fdb6d706e9b276ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 07:32:27 2024 -0500

    usrmerge debhelper systemd Debian package maintainer scripts fix

commit c14b042213b5eae999d14523567724ac0f9ee4c7
Author: GavinPacini <gavin.pacini@gmail.com>
Date:   Fri Feb 2 00:58:53 2024 +0100

    upgrade UTM configs and add configs for Intel_AMD64

commit 8ea0a85aacd987ac922229770d4d0240e94298c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 12:42:36 2024 +0000

    bumped changelog version

commit bac3c8e85698b0afca3b02696ab33a6469d89043
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 07:20:35 2024 -0500

    usrmerge

commit b35c1caf66ac760059f9001151d5bcd47f6e83d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 18 14:10:11 2024 +0000

    bumped changelog version

commit 5dc78cef564c3c90d80a6faad2c9b09b46f76657
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 18 08:54:03 2024 -0500

    readme

commit df58542e60937e06b63c4a9641036d5ba9022bad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 9 18:16:58 2023 +0000

    bumped changelog version

commit c01b2961823813255ae6e421a33995a92a2a28ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 9 13:15:52 2023 -0500

    MAC

commit 9a1e0865ceeb288729aca71b8fafbc5cab96e4b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 9 13:14:43 2023 -0500

    UUID

commit 3d6b634c546ff1a6f55e28c6c2a366b25fdcb095
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 9 13:13:14 2023 -0500

    RAM

commit f7147c3dc732c81db4d1f5460730e84a2346ea3a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 9 13:12:49 2023 -0500

    CPUCount 3

commit 99b42583caeadf7fd9b9055e0d4470b5a498ef13
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 9 13:10:38 2023 -0500

    remove `<key>InputInvertScroll</key>`

    for consistency with other plist files

commit e2472f781ee74d7e12c16d4e4c99becebde5c58a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 9 13:08:29 2023 -0500

    Kicksecure.plist

commit 28e5d2348b8c30e5d7154358fe51ebab7958739d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 9 13:04:02 2023 -0500

    rename

commit 3f8f90c8629ebcecb3ba8531e9fc1dd264459eeb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:35:57 2023 +0000

    bumped changelog version

commit 29d361f54e1d7d8b40a959d5a4ea455d125c0783
Merge: d1a25dc da9506d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 15:34:44 2023 -0500

    Merge remote-tracking branch 'github-kicksecure/master'

commit d1a25dcef4738c8bccd54b30ec25bfc90c3bcf85
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:18:00 2023 +0000

    bumped changelog version

commit e5e5c084655175765752cec1fb9bc73a3cd1dd8a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 13:41:32 2023 -0500

    change license to AGPL-3+

    https://forums.whonix.org/t/license-change-to-agplv3/17455

commit da9506d53e14658d420e5bc386aebc84622754c9
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sun Aug 6 00:18:47 2023 +0000

    Bump up RAM to 512MB

commit ce1d402bb2067e4c86e4b516258d4625e0a8646a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:46:11 2023 -0400

    bumped changelog version

commit ac2e5a458ea4868e93a633c06cb3e5743d0c3ad6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:18:35 2023 -0400

    Kicksecure

commit e006e0e78b93650135d4e98e562fa435dd4e3159
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:05:55 2023 -0400

    Kicksecure

commit e0d15888973b1a087482dd0d59314da33daf2899
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 13 10:10:34 2023 -0400

    bumped changelog version

commit 225d64dae9ed25bde77f994277686f56af1d525a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jul 13 09:39:48 2023 -0400

    comment

commit 3fd94dbee7eea01116ecb0a2c47cb12b85ed7151
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 08:18:00 2023 +0000

    bumped changelog version

commit c9de8bea7821cb510e5abec366be21423756e55e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 22 16:15:52 2023 +0000

    XFCE -> Xfce

commit a3c1fbbd8f16d364b6d1dc720139e70e9eb010aa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:32:14 2023 +0000

    bumped changelog version

commit 44b49d92410cef35fd52b4466fa83a414dcaf03d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:28 2023 +0000

    bookworm

commit 9d2b35956601d0ca44909b94a7bf6df3adde459e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:59:31 2023 +0000

    bumped changelog version

commit f3acff18ec011305b726681e16747e8649b649d4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:03 2023 +0000

    readme

commit bf9cdafa3d253e8fd752667e6b998bacb7e2705d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:02:52 2023 +0000

    bumped changelog version

commit 94d62d4e67efaad967ebab8e3a6ac75535e6722d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:45 2023 +0000

    copyright

commit a44c610cac86e428566fc378d8938658abe5dc64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 17:57:23 2023 +0000

    bumped changelog version

commit 8f59f3d0aacbb75db50f6a8e8cfac00747b08f8f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:30 2023 +0000

    Standards-Version: 4.6.1.0

commit c392f5753e9ece08349b9f780f5fe69d70946281
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:21:35 2023 +0000

    bumped changelog version

commit d586b61d228de2d2f322acb5bc4848f2a3b5dc05
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:51:59 2023 +0000

    update copyright year

commit b9b3c5e354554d82d1bade5b5e2e3587f475608d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:27:03 2023 +0000

    comment

commit df0f6285000691aea4b1f60fbdde92a3717eee39
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:26:28 2023 +0000

    removed outdated .travis.yml file

commit 500d39aa98b14bfdcddc7e29734db54de8f2b379
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 13 11:39:23 2022 -0400

    bumped changelog version

commit 25df51da0156601d46c9ae286db6b3d1c84bed54
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 13 11:34:43 2022 -0400

    addgroup -> adduser fix

commit 3ea1373fd80277d3e35ba6c1439375cd8154d426
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:06:36 2022 -0400

    bumped changelog version

commit 67dab5e3049582c7aa1e5053ddc9fadda7717741
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:07 2022 -0400

    readme

commit afa09609a79ae94a6e659ac33c19553bf6587288
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:36 2022 -0400

    copyright

commit 4c0a5a750c73a47b90522281027a9c293bbb8b05
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:13 2022 -0400

    readme

commit d13bbced6004383682f4cb8b694eab31fe9f3732
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 08:03:17 2022 -0400

    rename

commit b14b1163a7c5b9ef3e3860a0bb54a388b8fbbeaf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 08:02:57 2022 -0400

    rename

commit 5faa96efb1ec5431f0dd2d1bd92ff5ee89251f2a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 07:51:39 2022 -0400

    rename

commit 08f0071865899a214ae54962a44a7a096c46a0a8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:36 2021 -0500

    readme

commit 6af78f455340c52314272cfb1d24f06b0bcd8c47
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 15 18:34:04 2021 -0400

    bumped changelog version

commit e44e6fe388468c30c2d00f3d9729f468e9496ccd
Merge: a0dfce0 c2962f7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 14 08:22:43 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit c2962f7e9fdafa5486b0998110c18976d0410780
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Thu Sep 30 16:28:11 2021 +0000

    RAM reduced to 1.5GB

commit 68249c4f7af9aae47444d51ee0d5b6e6d7480ed8
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Thu Sep 30 16:27:59 2021 +0000

    RAM reduced to 1.5GB

commit a38adbfe7c087919959e0c0331a7a0d1fd36a551
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Thu Sep 30 16:27:37 2021 +0000

    RAM reduced to 1.5GB

commit 039cf62f31784193158711321964375b8cf0bff8
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Thu Sep 30 16:18:32 2021 +0000

    Decreased RAM. Updated descriptionp.

    Decreased RAM to 256MB. Updated description for activating desktop.

commit a0dfce0cd764ee5e5d416059e8d77d935851e560
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 12:07:56 2021 -0400

    bumped changelog version

commit 00df4c58352bab668eefc8a794aa009b2b733be3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:48 2021 -0400

    readme

commit 9114b4f1082e88e945912cba12c70cc2bd99176d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:36:14 2021 -0400

    bumped changelog version

commit 61476890ee7c760bda00e44ffe32c42663c06fea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:24:40 2021 -0400

    LANG=C str_replace

commit a70fd18e1d36501f9194ca2bb0e66f737d712b1a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 17:15:57 2021 -0400

    bumped changelog version

commit ef5fcc1f2d4c458c431f2cc9306502cb4bf2fa16
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 14:44:43 2021 -0400

    lintian FHS

commit 4332e6c594498a8dc5f654d67ca463b1368789ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 14:44:29 2021 -0400

    lintian FHS

commit 176a173e62ce565392cb43ba6b5b5a41ee3e9681
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:42:13 2021 -0400

    move /usr/lib/msgcollector to /usr/libexec/msgcollector as per lintian FHS

commit 8f1e0c6ffa7f310bf6c7cfcc6cc6ab1616a38a5e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:51:32 2021 -0400

    update lintian tag name

commit ddf53e1a8436edd2f432fe5f5c60d5f3e9f25e45
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:30 2021 -0400

    bullseye

commit 3d7e4e56eaf1e5f2e38c1b67a2eae969d8031ef7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:38:44 2021 -0400

    comment

commit b1f3099021c2d062a96fb1e6599985fef2ed507a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:53 2021 -0400

    readme

commit 294729f306e30f468ed724ec7b80867cf905cce7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 3 11:55:25 2021 -0400

    bumped changelog version

commit 3b5de7e6a1b37a20135788438babdb8c20b1bc61
Merge: 07a3a2a f88e3b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 3 11:54:55 2021 -0400

    Merge remote-tracking branch 'gavin/master'

commit f88e3b3876e5ed11b998fd7502ccaade4a57789f
Author: GavinPacini <gavin.pacini@gmail.com>
Date:   Wed Jun 2 12:18:44 2021 +0100

    add UTM configs

commit 07a3a2a849edaf9ec4ca2812f19405814654a49b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:50:45 2021 -0400

    bumped changelog version

commit 975f08418775ee91a4a4d6b80fe3b1644a8c0d01
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:50:44 2021 -0400

    readme

commit cfcc60df3f940bc7aa9bebc9fe862d78128ba16a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:26 2021 -0400

    copyright

commit 8f4044f2c3836bb19b59b232d42d26babb6868c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 19 09:30:48 2020 -0400

    bumped changelog version

commit 71300f122c1b5e8f77ea353f1635c32852a2139f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 15 05:04:24 2020 -0400

    no longer need to config-package-dev hide /etc/lightdm/lightdm.conf.d/whonix-autologin.conf

    because that file is no longer shipped with Whonix

    autologin config snippet is now in VM specific package vm-config-dist

commit 93d001a5bbd73f186682ff2835d7dd6330208fb4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 14 18:51:38 2020 -0400

    bumped changelog version

commit 4b827db5496553d7f71d0ebf003fdfe3ceb1df87
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 14 18:47:41 2020 -0400

    enable "Metadata only copy up"
    do not copy whole file to overlay, when only a metadata specific
    operation like chown/chmod is performed
    https://www.kernel.org/doc/Documentation/filesystems/overlayfs.txt
    https://phabricator.whonix.org/T914#19876

    `options overlay metacopy=on`

    Should be installed on Whonix-Host installed too.

    Thanks to @onions-knight for the bug report!

    https://phabricator.whonix.org/T914#20025

commit 7fad0762391a1caba1f2d531f76e410a2d8c46e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 23 10:13:40 2020 -0400

    bumped changelog version

commit f2b6e5be86c20b1b060f385bde907a208be8750e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 23 10:05:00 2020 -0400

    qemu support,

    remove

    <vcpu placement='static' cpuset='0'>1</vcpu>

    <vcpu placement='static' cpuset='1'>1</vcpu>

    when qemu is detected

    https://forums.whonix.org/t/whonix-host-operating-system/3931/284

commit 68665f731c6964124c51a7286e80f2739251a9c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 23 06:55:52 2020 -0400

    bumped changelog version

commit 4680b30c634af3eaaa40db85eb47a034fb0fb957
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 23 06:53:14 2020 -0400

    live mode to read only:

    chmod --verbose --recursive ugo-w "/var/lib/libvirt/images/Whonix-Gateway.qcow2"
    chmod --verbose --recursive ugo-w "/var/lib/libvirt/images/Whonix-Workstation.qcow2"

    https://phabricator.whonix.org/T914

commit 21e6373b9a35fb1c1ee83776766d0f4bcb5afca2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 19 14:26:03 2020 -0400

    bumped changelog version

commit 5293d705a7ea109e8d0bf4f0c24a607581192636
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 19 14:23:58 2020 -0400

    remove <pvspinlock state='on'/> for Qemu

    https://forums.whonix.org/t/whonix-host-operating-system/3931/250

commit 5966490b61c23881651f4ed767b8a68efd037ec9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:53:07 2020 -0400

    bumped changelog version

commit 57231913ea7e76a7dc82d278bad607abcfbe5448
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:42 2020 -0400

    readme

commit 5b5259c5e071c8093c761a14643533be15b55364
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 19:20:06 2020 -0400

    bumped changelog version

commit 4c82d74698fda65f98646323dac29cdd0490a035
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 19:08:11 2020 -0400

    remove `<cpu mode='host-passthrough'/>` for qemu

commit a2a77619a7a12569dc4872fded0261e197d26e98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 19:03:04 2020 -0400

    bumped changelog version

commit b77262fd318432745cc12b4da8f0f08915726771
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 19:02:00 2020 -0400

    use qemu if kvm is unavailable for easier Whonix development using nested virtualization

commit 27d30ffb3b2e83a645cbfdf7a5764f2565c3fc1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 14:20:55 2020 -0400

    bumped changelog version

commit 7adb2f479172222e89510604019e4d8140af473f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 14:20:41 2020 -0400

    stronger warning

commit 8cc3db52e02a33790e0ee07a238fee1bb5990867
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 13 15:23:38 2020 -0400

    bumped changelog version

commit e6c11d4b5bcfa32f089be35d2f727789ee2b2ef6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 13 15:23:37 2020 -0400

    readme

commit 2d15c399935ffed4e56d821e60c255a9c436b094
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 13 15:13:53 2020 -0400

    notify at boot that Whonix-Host at time of writing is a developers-only preview

    https://forums.whonix.org/t/whonix-host-operating-system/3931/236

commit 9f40fdcca0f266fb18a79b33a361dbaf2f5e4fb2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 10:18:31 2020 +0000

    bumped changelog version

commit 44efe882d7e8adb31d9a4bfdb9ea7ca0c23a6dd0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 09:58:22 2020 +0000

    remove usr/lib/motd.d/30_whonix-host.motd as replaced by anon-base-files

commit 34fabd2b9fbf430f424c6b68aa65e224448e4767
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 08:11:30 2020 -0400

    bumped changelog version

commit 84e1db6ab75029f5888fd4c27da34257c7bf8b6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:23:06 2020 -0400

    readme

commit 28cfce966db5661c3b5fb7da9a7421e8ef7be4fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:36 2020 -0400

    remove genmkfile

commit 4617e378aa69c2d2c0db27b5e7eee38588046ce0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:34:23 2020 -0400

    add debian install file

commit b6b38aefae6b0c9d0c02701dfb834399f3669849
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 11:14:42 2020 -0400

    bumped changelog version

commit 6b81496e2fbe638e4c1636234a7d23be4685f755
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 09:19:56 2020 -0400

    copyright

commit 0899ea7f6f1677ff97ea6ec9c7005c657b853b26
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:50:02 2020 -0400

    update copyright year

commit 4cf89cc2bc96433ecb98c7a1ecf57f9b7c74819f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 30 11:10:42 2020 -0400

    bumped changelog version

commit c4c65c8cbf8def23f444cb03d11475302a26441a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 30 11:05:37 2020 -0400

    add whonix-libvirt-set-persistent-mode-to-read-write.service

    thanks to @onions-knight for the bug report!

    https://phabricator.whonix.org/T914#19674

commit a75c73e5294f5bcd71ebc2b155dc4485b3a9ee44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 07:40:13 2020 -0400

    bumped changelog version

commit 4a5f5a9bb1f8c28685312a73446aff05658143e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 07:19:07 2020 -0400

    readme

commit 95723c94ef0861f8ebdbb6390e958d8417572060
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 07:13:32 2020 -0400

    add Whonix-Host grub, motd, issue branding

commit 2eb88771031a80372e92b034770bbeba548dd5d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 22 06:16:21 2020 -0400

    bumped changelog version

commit 477864547b45b2394a8b923b87675c123a249c04
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 21 15:23:30 2020 -0400

    add usr/share/whonix-libvirt/marker

commit 73b4d99edfc8ebf3c396d8d3f47b2d58ff740e4f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 09:35:48 2020 -0400

    bumped changelog version

commit 95ceacba6ab4afb847c5afdaef253e67272fef30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 05:26:54 2020 -0400

    CI

commit acb643c1fbe9a24d58145a30ad2c0ca7da20633f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 03:56:32 2020 -0400

    CI

commit 239ae8863c2d861ec4d2579083779b2205da5e61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 03:50:26 2020 -0400

    CI

commit 58853867843c0e86f079dce22bd81a93661f35e6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 03:49:09 2020 -0400

    CI

commit 0063bbdc479fddb244a125a00cd0065fc650b17c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 03:45:15 2020 -0400

    CI

commit 3a2d10e8afc73d2428f9373fc5b719a872f8cd38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 03:44:43 2020 -0400

    CI

commit e72dcf600375a475e821d81d90209b068ff55d1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 03:32:32 2020 -0400

    CI

commit 620db6440f363053b9ff5ce5d058b42e5245971e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 03:16:00 2020 -0400

    comment

commit aa62bf8d92364222df26f841e1bd01aa9c4ea6b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 03:14:18 2020 -0400

    usr/lib/whonix-libvirt/persistent-mode-to-read-write:

    chmod --verbose --recursive ug+w "/var/lib/libvirt/images/Whonix-Gateway.qcow2"
    chmod --verbose --recursive ug+w "/var/lib/libvirt/images/Whonix-Workstation.qcow2"

commit 30690ee3c57bdb0c99f417964b4665eddb04d06e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 02:44:25 2020 -0400

    comments

commit 1dad66e75105bcfed8d67e124ba89f693be1c1b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 16 02:43:03 2020 -0400

    add usr/lib/whonix-libvirt/persistent-mode-to-read-write

    based on usr/lib/whonix-libvirt/live-mode-to-ready-only

commit 92a475a6bb3776fbc74ff5dd681aab1cee58d2bd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 15 16:14:53 2020 -0400

    CI

commit 0cb24c2d426a8b0da1f3163ede5109ea17673cec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 15 15:48:17 2020 -0400

    bumped changelog version

commit 0bce69ecb46be8ef525b73a6e5268f2258eea5ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 15 15:43:55 2020 -0400

    CI

commit aed5aebb06c63a73b419405d2306998f1c89ca8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 15 15:40:50 2020 -0400

    CI

commit e561eb3a4c464c5dc79126f3f79d78df40f9e757
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 15 15:36:08 2020 -0400

    CI

commit 2030fc9443e53b4a75e78d7c82093d9784be609f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 15 15:06:47 2020 -0400

    CI

commit 60d9a5c5a6b6e7f360fcec89ac3ec3602a2c706d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 15 14:57:15 2020 -0400

    minor

commit 7806b3651956eaa76ac68dacb8c610fe3bc52a95
Merge: 7803f46 2456b75
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 15 14:56:54 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 2456b75e1816d51eae83c64a47c45ea29b286593
Merge: 7803f46 2dd2162
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 15 18:56:39 2020 +0000

    Merge pull request #109 from onions-knight/patch-2

    Update whonix-libvirt-set-live-to-readonly.service

commit 2dd21626e304912a5e65e2fda4bec593a8f07fde
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Sun Mar 15 16:21:38 2020 +0000

    Update whonix-libvirt-set-live-to-readonly.service

    Adding After=whonix-libvirt-install.service to fix ensure VM domains are defined before setting disks to readonly. See https://phabricator.whonix.org/T914

commit 7803f46e4f5420a85a67a0b443b63e80cf83a64b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 14 07:06:08 2020 -0400

    bumped changelog version

commit 51656a91f72e1d88e919cb2d2274642a7d065910
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 14 06:18:47 2020 -0400

    CI

commit a1ca04de3973fa617cdc5fc617de04e96abfa1f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 14 06:03:50 2020 -0400

    bumped changelog version

commit 68656b612d2959014f6d8bb6e5b192144774b101
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 14 05:57:51 2020 -0400

    CI

commit a27417a7f27915a799680ab048866e4cb9a247df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 13 13:02:46 2020 -0400

    no longer build depend on genmkfile to fix CI

commit 7e7140533f21bc7015577fea6ea05a48fcc88677
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 13 12:20:48 2020 -0400

    CI

commit eee85be9a964bf436c9a72aab7df2b3c2063e506
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 13 12:13:06 2020 -0400

    bumped changelog version

commit c9043e2438885d2e7e6d88545910035f35a2783f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 13 10:30:21 2020 -0400

    config-package-dev hide /etc/lightdm/lightdm.conf.d/whonix-autologin.conf

    because we do not want autologin for Whonix-Host installed

commit fc3e9e0d7546c4705b1e83a29b19b7fce73eebf4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 13 10:18:22 2020 -0400

    move calamares settings for Whonix to live-config-dist package

    https://forums.whonix.org/t/whonix-host-operating-system/3931/166

commit 67d93fc2c7b5dd3eeadf3552692e375ae38ba77f
Merge: cdfdb75 5638580
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 13 10:08:18 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 5638580cdc268d0e119f79ddb3073ffb2a7ecc05
Merge: cdfdb75 dd10849
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 13 06:00:11 2020 +0000

    Merge pull request #108 from onions-knight/patch-1

    Update users.conf.whonix

commit dd108497e0a67af61e0410e74250e592e8d236df
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Thu Mar 12 21:52:41 2020 +0000

    Update users.conf.whonix

    set RootPassword to false, see https://forums.whonix.org/t/whonix-host-operating-system/3931/158

commit cdfdb750a1b434631128b9dd16d77969271c1673
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 12 04:44:10 2020 -0400

    bumped changelog version

commit 88ba2d5728f2877bb4f356ea797cd0c097f18c37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 12 04:07:48 2020 -0400

    config-package-dev hide /usr/share/glib-2.0/schemas/96_calamares-settings-debian.gschema.override

    Sets favorite apps and disabled screen lock. We don't want that.

commit 0ea3fc5429d7a56ae92c800802e8c1df63fb17d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 12 03:57:53 2020 -0400

    add diff-helper

commit 0d117eeb41742a77de5c4bd346eeee43e8e339a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 12 03:49:35 2020 -0400

    hide /usr/share/applications/install-debian.desktop from live iso

commit 0f1703c22ee518949c9486cfb2a6afe3af0ac449
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 12 03:49:08 2020 -0400

    remove extraneous EOF from config file

commit 546e4bd02f6a17a89c888304d28673364224de3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 12 03:07:57 2020 -0400

    ignore missing man pages linitian warning

commit 2e22e21e391d5bc83c497dacaca09c8075b6ba28
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 12 03:07:40 2020 -0400

    config-package-dev displace

commit 23676173fc7a852ed15c31db4e0014e853d7f389
Merge: b36970a 8bc7d32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 12 02:52:17 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 8bc7d32c861a8fd1123eb64ddaf80c34ea459544
Merge: ed6618a 09abf83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 12 06:50:09 2020 +0000

    Merge pull request #107 from onions-knight/master

    Whonix-Host branding

commit 09abf8327b622c9de94ed82fb52aff6e6ea4f098
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:58:15 2020 +0000

    Create install-whonix-host

commit afbfa34eeb663b9d29c39fd5f2347c457783798c
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:49:26 2020 +0000

    Delete 1

commit d3327c3438feee890685fda02ac0835fc8f88795
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:49:09 2020 +0000

    Add files via upload

commit 87dd9f16d9a6d25712b6855def2185741f2d241a
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:48:54 2020 +0000

    Create 1

commit c316c18fa72495014c52f7a755eb32c550d3e5ed
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:48:21 2020 +0000

    Delete whonix-logo.png

commit cea8146311ad807f9b8e4d79d52bd9d3f88802ff
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:47:53 2020 +0000

    Update install-whonix-host.desktop

commit 6ef42846a80aa8719d069e55910b79e712e4ec1d
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:47:21 2020 +0000

    Update add-calamares-desktop-icon

commit ff0d879b38afa31e3d846d115c51329e9964ee4f
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:45:30 2020 +0000

    Update show.qml

commit daf2432a63831d05d4103e06ecc9b4aefc6fbea1
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:42:42 2020 +0000

    Delete install-whonix-host.png

commit 97a023a48ae054a41de22a2d5d1e2ba82c1fd0cb
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:42:30 2020 +0000

    Delete 1

commit edd1d82cc5f9abab6f6c76f3f63436a3417e0fc6
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:42:11 2020 +0000

    Add files via upload

commit 2c919365d8f4a69af8ab83649813c97acbe5c709
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:41:56 2020 +0000

    Create 1

commit 10bfc9e411d42c9e307b2b5dea31ab9098608c07
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:40:10 2020 +0000

    Add files via upload

commit 23e678077273f8ebcefd33da8ec0f01fa1cae1ef
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:37:52 2020 +0000

    Create install-whonix-host.desktop

commit 5f8375232f2987db0cf8b361aa8406a7bb42e36e
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:35:53 2020 +0000

    Delete calamares-desktop-icon.desktop

commit dec18be290fd163e9ae570649cc52d1306cf24ab
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:34:58 2020 +0000

    Create add-calamares-desktop-icon

commit c3b8d0321306656ae01991336b52dc5073d7270c
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:33:56 2020 +0000

    Create calamares-desktop-icon.desktop

commit 89786bd187494a80e7e5cf27f1464a22336aecbc
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:32:11 2020 +0000

    Add files via upload

commit bf99c5cdea1db11f2e7b5536de4738c9549eced6
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:31:51 2020 +0000

    Add files via upload

commit 990ebb5a637e5da47d255fef0735a1c76d47f4e7
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:31:15 2020 +0000

    Add files via upload

commit f163c19439830169a511ef3430573845a77f333e
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:30:33 2020 +0000

    Create show.qml

commit 1c2c9c0d348fe0299f53e196b51800bac8cb8041
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 22:30:18 2020 +0000

    Create branding.desc

commit ed6618ad689620a4fe0460720c3fd5da6b8e9baa
Merge: 5f67b0c fa8f58c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 11 20:38:02 2020 +0000

    Merge pull request #104 from onions-knight/patch-7

    Update settings.conf

commit fa8f58c033f6c5d6a1adc170c85f1494b9dc8504
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Wed Mar 11 18:28:30 2020 +0000

    Update settings.conf

    Change branding: debian -> Whonix-Host

commit b36970a3c5afc47267aa5dcb2484db442afbf277
Merge: 63c798b 5f67b0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 10 08:01:57 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 5f67b0c5d605681efe27582422f35105cac965cb
Merge: de05c91 d877cbc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 10 11:01:56 2020 +0000

    Merge pull request #103 from onions-knight/patch-5

    Update settings.conf

commit d877cbce81b1400f195f68eb1a97a0c92996b805
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Tue Mar 10 10:50:39 2020 +0000

    Update settings.conf

    Removing unnecessary modules from Calamares install sequence, we keep only the minimum. See https://forums.whonix.org/t/whonix-host-operating-system/3931/141

commit 63c798bbc12e98fdaa83967074a289ca96594de4
Merge: c3640b4 de05c91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 9 13:43:17 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit de05c91549efaecf154e5abf503728c574680a96
Merge: e37ed97 f2feb63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 9 17:41:55 2020 +0000

    Merge pull request #102 from onions-knight/patch-4

    Create settings.conf

commit e37ed97bbe434c0c9bf82500b34574e28c697468
Merge: c3640b4 c108f46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 9 17:41:41 2020 +0000

    Merge pull request #101 from onions-knight/patch-3

    Update packages.conf.whonix

commit f2feb63f7ca48b48ef3e375d4761194e67b038f5
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Mon Mar 9 13:49:29 2020 +0000

    Create settings.conf

    Modified settings.conf for Calamares removing the 'users' modules from the Calamares install sequence. Reason: we do not want to install a user, user 'user' is the default user. See https://forums.whonix.org/t/whonix-host-operating-system/3931/134

commit c108f46cb31ed2338f011e350ad04310129fd266
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Mon Mar 9 13:43:57 2020 +0000

    Update packages.conf.whonix

    Remove 'live-config' as it is no longer installed in the iso file. Breaks Calamares install otherwise.

commit c3640b4478b857ba36317a51eb08e834e75d7670
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 8 09:44:19 2020 -0400

    bumped changelog version

commit 57946f43b35c23f0e6c529929205a29b5a73cc96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 7 11:32:48 2020 -0500

    description

commit 736c51cc466e5ea7864d47b1bfa79ed5853bde4e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 7 11:31:56 2020 -0500

    copyright

commit b01deed9ca5588e20a0a14dfd532bddbceafa82d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 7 11:28:39 2020 -0500

    start live-mode-to-read-only later

commit 2cb85f32643bdbbe0594322b7ffa52cb74fa971e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 6 10:28:39 2020 -0500

    bumped changelog version

commit 9055fcace0f96d81efda41e6e461ddab4a59fc4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 6 10:26:54 2020 -0500

    run /usr/lib/whonix-libvirt/install during boot not inside build chroot

    https://forums.whonix.org/t/whonix-host-operating-system/3931/96

commit 2fc6fc5318665db8bfb697d7d6b71495c7c8d229
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 9 13:00:11 2019 +0000

    bumped changelog version

commit 2152345a1ac9a11ae77126de8381e1f202449183
Merge: 7b5b9b5 711f3e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 3 02:28:52 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 711f3e0cf3fd534d6a2ff4df3a57462b1af03413
Merge: c74d836 6f2f289
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 3 07:17:19 2019 +0000

    Merge pull request #100 from HulaHoop0/patch-8

    Remove rom bar setting

commit c74d8363827d2edd5d8f22fc4df3732329a04611
Merge: f31096f 143388c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 3 07:17:01 2019 +0000

    Merge pull request #99 from HulaHoop0/patch-7

    Fix video tag and remove rom bar setting

commit f31096fc06d37dd6479f08c2005a773abe03441f
Merge: 530d37b 216b244
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 3 07:16:47 2019 +0000

    Merge pull request #98 from HulaHoop0/patch-6

    Fix video tag remove rom bar setting

commit 530d37b05527a502f020a32f056226d27bf0fb0a
Merge: 7b5b9b5 e2e63df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 3 07:16:34 2019 +0000

    Merge pull request #97 from HulaHoop0/patch-5

    Fix video tag remove rom bar setting

commit 6f2f289acec90607d676835d7ff4af563c2c179f
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sat Nov 2 22:24:22 2019 +0000

    Remove rom bar setting

commit 143388cc6784cb25c448105d03cf17ca0f98cbd8
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sat Nov 2 22:23:06 2019 +0000

    Fix video tag and remove rom bar setting

commit 216b2448fe5e6aea4c6257d96b5850aa878ae218
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sat Nov 2 22:21:49 2019 +0000

    Fix video tag remove rom bar setting

commit e2e63dfee0ad3885b6fddeb3b8d4f993db3a53bb
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Sat Nov 2 22:19:44 2019 +0000

    Fix video tag remove rom bar setting

commit 7b5b9b52f6a0047e3ec17b550f2f9070ad806d33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:13:47 2019 +0000

    bumped changelog version

commit aa416fab458998f42329aae0a014c528f9bd4585
Merge: 438c18c cc86138
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:12:50 2019 +0000

    Merge remote-tracking branch 'origin/master'

commit cc86138f98ae2502aaa671b5268f4401b58d4cf7
Merge: 438c18c acb2669
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:10:20 2019 +0000

    Merge pull request #94 from HulaHoop0/patch-2

    virtio gfx, genid, NIC rom bar off

commit 438c18c17863ae5979c2d57692ae118d6879638a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 5 09:43:58 2019 +0000

    bumped changelog version

commit a75589e6e0fa899de174ad1982f4851b6e96b787
Merge: 46e9f79 7071e64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 2 04:32:22 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 7071e643b63bfc497bcb23e67d76ec8e4c99a4a1
Merge: b23fab4 4c1039c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 2 08:31:40 2019 +0000

    Merge pull request #95 from HulaHoop0/patch-3

    virtio gfx, genid, NIC rom bar off

commit b23fab4ae43891abf9eb6098946abf03bda7b847
Merge: 66141af 2bca584
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 2 08:31:27 2019 +0000

    Merge pull request #96 from HulaHoop0/patch-4

    virtio gfx, genid, NIC rom bar off

commit 66141af7d24be2ec0722b7fc444ce49737b39b0c
Merge: 46e9f79 097eca3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 2 08:31:03 2019 +0000

    Merge pull request #93 from HulaHoop0/patch-1

    virtio gfx, genid, NIC rom bar off

commit 2bca58416d817aaca2db85254e5ec03e6eb24e43
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Tue Oct 1 21:00:44 2019 +0000

    virtio gfx, genid, NIC rom bar off

commit 4c1039c10adb6dca84b1951a2b3d9c34c15a67b3
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Tue Oct 1 20:58:37 2019 +0000

    virtio gfx, genid, NIC rom bar off

commit acb266922355217134c601b74ba5223c7f69f98d
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Tue Oct 1 20:55:37 2019 +0000

    virtio gfx, genid, NIC rom bar off

commit 097eca3af732d6ab241d0b2d8c874708e3684f54
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Tue Oct 1 20:50:44 2019 +0000

    virtio gfx, genid, NIC rom bar off

commit 46e9f7911e4e144e751aed04ba7886bff5101143
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 13:48:24 2019 +0000

    bumped changelog version

commit dcc9cbcd1c2eb0e315cbb6b95e4c620ff7a768f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 08:46:31 2019 -0400

    depend on adduser

commit 883a0e5b3959f1fea687f4be965644c0f4f35b78
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:12:48 2019 +0000

    bumped changelog version

commit 48d214bfc673a5b6346bee73838379ee05d76885
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 14:43:23 2019 -0400

    kicksecure

commit 316bdbff29f514e94ad581bbcd1ae9860c0a6654
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 09:01:29 2019 -0400

    bumped changelog version

commit d24845eea6f8ab79455a1c75eaa19b5a38cab8e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 07:59:08 2019 -0400

    Kicksecure

commit 9940dbac6c9227de45656df574e417bbd08c3a83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 07:42:23 2019 -0400

    renamed:    usr/share/whonix-libvirt/xml/Hardened-Debian.xml -> usr/share/whonix-libvirt/xml/Kicksecure.xml

commit 6cd723e93550b5389d71eee73707bc97c4990156
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 23 16:59:08 2019 +0000

    bumped changelog version

commit e3395ea7b63d16e2d7c42eea51f002f0b3b425ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 21 12:25:49 2019 -0400

    config-package-dev hide /etc/lightdm/lightdm.conf.d/whonix-autologin.conf

    to disable autologin on Whonix-Host

    Thanks to @onion-knight for the suggestion!

    https://forums.whonix.org/t/whonix-desktop-installer-with-calamares-field-report/7350/120

commit 978da522e9cdc16115459ff569773c4906d3a761
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 21 12:15:38 2019 -0400

    add Depends: gir1.2-spiceclientgtk-3.0

    Thanks to @onions-knight for the bug report!

    https://forums.whonix.org/t/whonix-desktop-installer-with-calamares-field-report/7350/118

commit bb7773e62850fdc76b794500e6bb0c282a55bb2b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 21 03:11:36 2019 -0400

    enable readonly for KVM disks if kernel command line includes boot=live

    (for live mode)

    https://phabricator.whonix.org/T914

commit 62a212bbfd52d0f5f82a55aa57d886ebfc76b166
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 21 02:30:45 2019 -0400

    fix string replacement

commit 1276206f81c72db83ea9e61e5294a6320df99d68
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 21 02:07:58 2019 -0400

    remove $CHROOT_DIRECTORY since this is running inside chroot anyhow

commit 83a66d99fbbf7f47b65c4acd82dc07d0341cfd12
Merge: 2d6ed37 88bf11c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 21 01:57:31 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 88bf11cda1fccfbd3858f56230a90d230220bc35
Merge: 2706742 ffe464c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 21 05:56:52 2019 +0000

    Merge pull request #92 from onions-knight/patch-2

    Update install

commit ffe464c9b23a6c579b040f195733b74188000f12
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Tue Aug 20 11:43:11 2019 +0000

    Update install

    adding sed commands to replace back 'qemu' with 'kvm' domain type at the end of the task
    see https://forums.whonix.org/t/vms-do-no-start-until-the-cpu-configuration-is-set-to-copy-host-cpu-configuration/7917/4

commit 2706742063b889772122b374b5e1fdb189970bac
Merge: 2d6ed37 e4b063b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 20 06:42:13 2019 +0000

    Merge pull request #91 from onions-knight/patch-1

    Update packages.conf.whonix

commit e4b063b6c4dd3009253946d16a677cc54bfadadc
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Mon Aug 19 16:08:33 2019 +0000

    Update packages.conf.whonix

    live-config package should not be needed on the install target

commit 5219a5d4c05b8e206cbee8cc9dad44a66088e28f
Author: onions-knight <38859709+onions-knight@users.noreply.github.com>
Date:   Mon Aug 19 15:06:53 2019 +0000

    Update packages.conf.whonix

    Removing live-boot packages from the list of deleted packages on the install target. Allows the install target to boot in live-mode (also: fixes the issue when "Debian-Live" grub entry results in a kernel panic).

commit 2d6ed37237af6ae3553eeee307872d0c24615b9f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 12:14:52 2019 +0000

    bumped changelog version

commit e42f078064a2cd44175060de9d633d1fa5daa5e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:49 2019 +0000

    readme

commit 0b9c5771e6e2d498f0144af004d6c2518cc87d74
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:50:45 2019 +0000

    bumped changelog version

commit 9e57baec9ce92ee426cb4ad28afd261b0a7c34a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:14:31 2019 -0400

    /var/run -> /run

commit f0feadc2570a85b01f93631fff541cc6e4d50283
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:11:25 2019 +0000

    bumped changelog version

commit 92d73f3ba9dd89529a32ac16e19515f713988660
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 05:01:15 2019 -0400

    add dnsmasq-base to Depends:

    https://forums.whonix.org/t/whonix-desktop-installer-with-calamares-field-report/7350/96

commit 2b527403a5f570464f504f360a02a37f2596d738
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 07:18:16 2019 +0000

    bumped changelog version

commit 5c9045db23d7574a2540494987ae6838c625ce59
Merge: f8834c9 46c96f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 06:59:28 2019 +0000

    Merge remote-tracking branch 'origin/master'

commit 46c96f7e5565ce7998ad0586d2d9555f15b6a0cf
Merge: 3c7d90c 09c366c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 06:58:45 2019 +0000

    Merge pull request #90 from HulaHoopWhonix/patch-89

     More security features on Buster

commit 3c7d90cce4ff8941ae7b411f02c1bd60ce8adefa
Merge: 9e130f5 d4b3937
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 06:58:37 2019 +0000

    Merge pull request #88 from HulaHoopWhonix/patch-87

    More security features on Buster

commit 9e130f5587ca96278abe5553f3629617aa42f48d
Merge: dbb5506 312cfe5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 06:58:22 2019 +0000

    Merge pull request #89 from HulaHoopWhonix/patch-88

    More security features on Buster

commit dbb550631e532c55381cbdba9fff901310694285
Merge: f8834c9 99bcda6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 06:58:11 2019 +0000

    Merge pull request #87 from HulaHoopWhonix/patch-86

    More security features on Buster

commit 99bcda6bc77aa831f3af75a93ae2706777f02db1
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jul 10 00:24:07 2019 +0000

    disable dumpCore

commit d4b3937bc79e05d065aa340de17242d033c3e0cb
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jul 10 00:23:01 2019 +0000

    disable dumpCore

commit 312cfe5ffc0d0232569736dfd84f059f5ae0574c
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jul 10 00:21:05 2019 +0000

    disable dumpCore

commit 09c366c428b1a7490336afb8e6d2f7d11513a69a
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jul 10 00:19:37 2019 +0000

    disable dumpCore

commit ed3d4164492f1644c0fd89e49c880c59ec081a74
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Jul 9 18:06:49 2019 +0000

    re-enable pvspinlock

commit 2dab8cb6933207f4259a6a590dc559e6a5fcd644
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Jul 9 18:05:47 2019 +0000

    re-enable pvspinlock

commit 0d241ccb560e9baa45a56f32b49c68251facce9f
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Jul 9 18:04:34 2019 +0000

    re-enable pvspinlock

commit 4ed471e4236f4cc52b409b019d90c3a193103584
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Jul 9 18:02:02 2019 +0000

    re-enable pvspinlock

    Adds performance and reduces code-path use: https://lwn.net/Articles/556141/

commit fb6a7143b4cdf2390e5547390f383458cb8eb590
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Jul 9 16:21:10 2019 +0000

     More security features on Buster

commit 47503dae7161694627327eed3cc4a16e5ced7864
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Jul 9 16:17:47 2019 +0000

    More security features on Buster

commit fd5e8cd3d8544e8e3c829a04174abf15509cbf51
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Jul 9 16:15:18 2019 +0000

    More security features on Buster

commit 704972ae4654fa635703101929f575176ce7f4af
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Jul 9 16:12:00 2019 +0000

    More features on Buster

commit f8834c9fe661571a52f0230f5ddd91aab86fd727
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 14 13:36:07 2019 +0000

    bumped changelog version

commit 1db9b42f6ea9279e3e5e43a08bf01ae39f78aef3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 14 12:41:14 2019 +0000

    remove unneeded packages (which also break the build)

    https://forums.whonix.org/t/whonix-desktop-installer-with-calamares-field-report/7350/69

commit b877f67499ec349ed1f85c6ff590ce85f4b0eaf5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:43:25 2019 +0000

    bumped changelog version

commit 76d091f4ce3fd8288b3d2b916ff4779db1e18856
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:39 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit d17a5d666e63aeb2689f588cb01d5122b67e6082
Merge: 759ab1f ec67fa3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 2 05:16:55 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit ec67fa3afb371acb6e3900c163a827a02b25c341
Merge: 759ab1f ef1a612
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 2 09:16:09 2019 +0000

    Merge pull request #86 from HulaHoopWhonix/patch-85

    Added Whonix Gateway shared folder

commit ef1a6124dccecbe1e098ea141caf91ab973568fc
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Jun 2 02:30:48 2019 +0000

    Added Whonix Gateway shared folder

commit 759ab1fca6aa79730958dc3f26d7fd4d0327e0e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 21:16:52 2019 -0400

    CI fix

commit ae21554d567610611fd109c5dd5815dc79301d80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 21:11:57 2019 -0400

    CI fix

commit c73e751fd993a9b93df4058cda86e96e2b6b7a4d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 20:33:52 2019 -0400

    CI fix

commit 7b2079b1cf8dde896d16cb0eceb31714f1b7cd76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 16:40:01 2019 +0000

    bumped changelog version

commit 3861389fd64670e08cba356432d98d0de268f011
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 10:59:41 2019 +0000

    CI fix

commit 06d2ab451f6eb6a321687d5b70102f77558b6939
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 10:29:20 2019 +0000

    CI fix

commit 91e30ea4fa6e4ecc4093d93c6402be3a18d14f9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 10:24:32 2019 +0000

    CI fix

commit 9de721108f4f43105a93df8f40378c3f161f44c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 10:14:56 2019 +0000

    CI fix

commit 345f968d4d89c885a85f20d5ac7fbf2447b52f70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 10:08:25 2019 +0000

    CI fix

commit 144fd66f5a08ab4aeaf93ca9b3dbcaf08018562d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 10:02:24 2019 +0000

    CI fix

commit 1ab2bb79c0c9152d4cc84ec84be359981d1ecf21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 09:54:14 2019 +0000

    CI fix

commit cf6305dafed06418338ef586de59df3a68b8c2cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 09:42:32 2019 +0000

    CI: try newer Ubuntu

    dist: xenial

commit 6b684ade389f3f78a1d007cf2ec10fc13435c44e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 09:35:30 2019 +0000

    CI apt: use --no-install-recommends (similar to real build)

commit dceede0cede64660f7d5992ffbd2ebd15cc2db11
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 09:34:50 2019 +0000

    CI: fix, same dependencies as debian/control

commit d92623484b31f7315a69c8d116c52a410faf0243
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 09:30:56 2019 +0000

    hardened debian CI support

commit 46b69b91483f44c7437830c6004f910228cecd77
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 09:29:02 2019 +0000

    CI fix

commit b00dd7992b78eb71d5d088762424755e043d715d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 09:25:06 2019 +0000

    CI fix

commit a9309a6644c6bfc4b5d5f5780c6e1c16c98e8f05
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 09:20:38 2019 +0000

    CI fix

commit 826b128c4990982813051987ab9c5d4083dd2ea6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 09:16:33 2019 +0000

    probably no longer need to upgrade libvirt

commit cc5a054c5187744283408d1c4dd2c81b465e8802
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 08:30:01 2019 +0000

    bumped changelog version

commit e92e62b56459cc4924c126241508266bcf1b29ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 08:27:44 2019 +0000

    fix

commit ef8016b6812407a315823372e8254b683b5d3e3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 08:25:42 2019 +0000

    bumped changelog version

commit 4e52bf7530de12dcb1e00c5f008e090eac98490c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 31 21:26:04 2019 -0400

    minor

commit 0e2cc1cda7dad705fd9e29839c868b178857743f
Merge: d125826 ae21b49
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 31 21:25:41 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit ae21b49bc248d4493cebcdbfcf6c4c4fa4635b0b
Merge: d125826 735c6fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 1 01:25:04 2019 +0000

    Merge pull request #85 from HulaHoopWhonix/patch-84

    Add shared folder

commit 735c6fa9639fffa7bcbf13fb5cdf7d9e0d378ea0
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Jun 1 01:21:05 2019 +0000

    Adjust permissions and create shared mount point

commit 25649bd7f16f8030a5c9d812146b53711c5e330f
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Jun 1 01:11:20 2019 +0000

    Add share folder

commit d125826accfb2336c63a18b3b66c667f3411d409
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 21:06:43 2019 +0000

    bumped changelog version

commit 0fe2f4686c17ec3133f1d1e5857cf233ed08f655
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:14 2019 -0400

    readme

commit 813f518122990383608974742af4b916e7c29cf5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 16:50:10 2019 +0000

    bumped changelog version

commit f7302034b1c5d6caee40766eb7fca150d6d6944e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 16:49:08 2019 +0000

    config-package-dev displace files owned by package calamares-settings-debian

commit e8c8457b70160dde86d20402adc56576d906242c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 14:54:40 2019 +0000

    bumped changelog version

commit ab0cfdde9dcf81c1bab461318e312163fcb505e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 14:33:34 2019 +0000

     initial import from https://github.com/onions-knight/whonix-stuff

commit 419640124f98d683c3c4d093f95d11b2d5ab1223
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 14:30:47 2019 +0000

     initial import from https://github.com/onions-knight/whonix-stuff

commit a51d03f75534baa465b8cdc63c85873bd70aca1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 14:20:50 2019 +0000

    add dependencies

commit 172568102b32a2de934ef3fedb3b20fc600c11b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 11:11:34 2019 +0000

    bumped changelog version

commit 316895a03cb9eac2f084df1a07013fa52a104ef4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 11:09:52 2019 +0000

    import from usability-misc package so libvirt group creation happens in time

commit 5f1be47be7ec0d0fa58dbacf561bb6b41cd9eebb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 11:02:54 2019 +0000

    add timeout

commit 02bf609ad046da2759fee8ee41bb465fef7d2461
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 10:22:57 2019 +0000

    debugging

commit c226ed2be1de2224ea859fbf62824bae4bab0571
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 09:53:10 2019 +0000

    bumped changelog version

commit 9596dd044de412874e612a066df5592d4ffa006c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 08:36:48 2019 +0000

    add chroot support

commit 27d82d33e4a6129dfccff3323c686c0403a3c8f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:56:52 2019 +0000

    bumped changelog version

commit 062a399bcd156bb0dccec17fad0602e68c5086fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 05:18:19 2019 -0400

    make install script idempotent

    create done file /var/lib/whonix-libvirt/install.done

    run install script when done file does not exist

    https://forums.whonix.org/t/whonix-desktop-installer-with-calamares-field-report/7350/15?u=patrick

commit c19243ac96169205c5e7a45c9aa0c5269754806a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 05:04:13 2019 -0400

    quotes

commit 873d6f6802d10b31aea37125ca2f1d2b9d497b4b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 05:03:15 2019 -0400

    clean start/stop of libvirtd and update network names

commit 3c15dda26942f72c4173706fe019064fff729147
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 04:52:40 2019 -0400

    undo no longer required since done in temp dir

commit 883442bc5f4b9e3160102f5064cfeab711316e30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 04:52:17 2019 -0400

    fix paths, use temp dir

commit a7f1ebe99c90dae794f8dde8db38445e9e87bf78
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 04:46:42 2019 -0400

    minor

commit 40fda758fa695ab6f602a656412a5cb2cff3cef6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 04:46:18 2019 -0400

    chroot not required since this will run inside chroot anyhow

commit d8e16357357d6b2140ec86a672ef3c88be8271a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 04:45:59 2019 -0400

    initial work

commit 69ea29376bd458c61f80a141bb584922de8e5eea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 04:44:56 2019 -0400

    remove all non-kvm config related

commit eb50313bf730237c09b001a63d36a495d9b6efaa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 04:44:06 2019 -0400

    initial import from https://github.com/onions-knight/whonix-stuff/blob/master/2900_configure_desktop_sketch

commit da68b81d3b0a2dbe4b44e018686c3e2031a0f5a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 5 09:21:58 2019 +0000

    bumped changelog version

commit ba2678f02ae1336b2d847242009bcf289e847672
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 5 02:50:56 2019 -0400

    fix

commit 53785ba9d334159500bea9e2ba1514b14c3fd5a2
Merge: 141f719 6d60da5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 5 02:50:24 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 6d60da5ab751bfb70036562a6227095d32d9baf5
Merge: 141f719 38bfac8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 5 02:49:59 2019 -0400

    Merge pull request #84 from HulaHoopWhonix/patch-83

    Create Hardened-Debian.xml

commit 38bfac8e8fd632228592f9d4401d51168486eb1b
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat May 4 18:25:42 2019 +0000

    Create Hardened-Debian.xml

commit 141f7198b7da7f94db5b054f39f84b2e5aa41a35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 4 11:28:30 2019 +0000

    bumped changelog version

commit 692bd4b241d4ee0c8c0269d77c2ecd3ee744d32a
Merge: 435fc6e 4f7541b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 4 02:37:57 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 4f7541b943de7dafb3b30511a4e048b865bbd315
Merge: d367421 0cc6faf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 4 02:36:54 2019 -0400

    Merge pull request #81 from HulaHoopWhonix/patch-80

    Add serial port and console

commit d367421881f17d36c338f28ce94589f3d619577e
Merge: 945eff1 4f4d993
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 4 02:36:43 2019 -0400

    Merge pull request #82 from HulaHoopWhonix/patch-81

    Add serial port and console

commit 945eff1a99c36f9a520bc1237819b94fdffcc58e
Merge: 435fc6e e3c6c1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 4 02:36:31 2019 -0400

    Merge pull request #83 from HulaHoopWhonix/patch-82

    Add serial port and console

commit e3c6c1c0db82ecd0e26274985ba91549c3d93a38
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Fri May 3 16:29:28 2019 +0000

    Add serial port and console

commit 4f4d993f278e281a09b36a816571de88c96cc8ec
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Fri May 3 16:27:36 2019 +0000

    Add serial port and console

commit 0cc6fafcc45e8dfa37dd060b4a487d99e4df9697
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Fri May 3 16:24:14 2019 +0000

    Add serial port and console

commit 435fc6e7ff0533ef51a26a4a8935eea4e32352f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:45:39 2019 +0000

    bumped changelog version

commit f9dd563d71e8e54136b5e72f2823da81c67c7140
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:59 2019 +0000

    update

commit fbfb3aa681421d3021058e4740f01c920cc81612
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 1 01:31:31 2019 +0000

    bumped changelog version

commit a94adee559b7821711421ddf12c5d13cf48f43e0
Merge: e8619a9 6911192
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 1 01:30:41 2019 +0000

    Merge remote-tracking branch 'origin/master'

commit 6911192e362e368a2f4a17088b8504919ace442f
Merge: dd80d90 020c7ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 30 21:29:58 2019 -0400

    Merge pull request #80 from HulaHoopWhonix/patch-79

    Updated network name

commit dd80d9092a3a43a41d9495d0f7af25e826794485
Merge: ab6627b fca5558
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 30 21:29:45 2019 -0400

    Merge pull request #79 from HulaHoopWhonix/patch-78

    Updated network names

commit ab6627b84e9dab660bf9082c31d22b896019aa7c
Merge: b13539c ab42a8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 30 21:29:27 2019 -0400

    Merge pull request #78 from HulaHoopWhonix/patch-77

    Updated network name

commit b13539c5d9564ece13b5c3d51ece2528915d0f82
Merge: af2cf83 749ec29
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 30 21:29:11 2019 -0400

    Merge pull request #77 from HulaHoopWhonix/patch-76

    Update and rename external_network.xml to Whonix-External.xml

commit af2cf83ca2f2622fe6db2d77bef989a49012a599
Merge: e8619a9 fb8c2b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 30 21:28:57 2019 -0400

    Merge pull request #76 from HulaHoopWhonix/patch-75

    Update and rename internal_network.xml to Whonix-Internal.xml

commit 020c7caa60b428641d8b4647cf0aed3465343453
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Apr 30 20:46:39 2019 +0000

    Updated network name

commit fca5558f3b1e486d681725dedf9ede2a52739f81
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Apr 30 20:45:24 2019 +0000

    Updated network names

commit ab42a8cfb9676eeda970bec207325ad79bf68212
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Apr 30 20:42:19 2019 +0000

    Updated network name

commit 749ec29f9d93c3ec280adf92b6acc39a69fd17a4
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Apr 30 20:40:28 2019 +0000

    Update and rename external_network.xml to Whonix-External.xml

commit fb8c2b7f1c78dd63cd8a529a3894e1b95c391ba5
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Apr 30 20:39:14 2019 +0000

    Update and rename internal_network.xml to Whonix-Internal.xml

commit e8619a9106b27b08cb053a535ca9c1b39e44f2b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:24:58 2019 +0000

    bumped changelog version

commit 4aea59fb520ccdfdcac44f18364f8fb061e0b0ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:11 2019 -0400

    port to debian buster

commit aeda64a4f15bde46901a4d8f5c04fce050cc0143
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:06:14 2019 -0400

    readme

commit 0e8cb74d7c38559c19aca5dacb961abdb69a31eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 10:15:26 2019 +0000

    bumped changelog version

commit 4d992b1bdd82390503e081bfa40b45bd3a4b69c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:21 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 5f75016a3a67c229e0338e131620de15bd1eca5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:48:54 2019 +0000

    bumped changelog version

commit 9456bde47cb4057a1e1f3c6d53b0593cd833057c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:44 2019 +0000

    add improved legal protections clauses

    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.

    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:

    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.

    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding

    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit f03d59277cdc3c1d2c49132710fb3766d3669a83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 12 06:37:39 2019 +0000

    bumped changelog version

commit 8b0d6fbbcc241475f54795569d311aaa39bcec7b
Merge: 8b2d22b 1d775f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 12 01:29:07 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 1d775f0a46327dbedf0e6b7aee90fdfe4f5a8759
Merge: fc6e6ed aa3593b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 12 01:28:19 2019 -0500

    Merge pull request #75 from leed0s/patch-2

    Bump RAM to 2048MiB

commit fc6e6ed92cf0a25ec9d3c760d461c547a438f667
Merge: 8b2d22b 3db3146
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 12 01:28:00 2019 -0500

    Merge pull request #74 from leed0s/patch-1

    Bump RAM to 2048MiB

commit aa3593bb3072a6f58a00d67e9bf577539a7e6e3d
Author: leed0s <46492361+leed0s@users.noreply.github.com>
Date:   Tue Jan 8 15:17:23 2019 +0000

    Bump RAM to 2048MiB

commit 3db31462d0193ac48cfff78916d4062c83f83861
Author: leed0s <46492361+leed0s@users.noreply.github.com>
Date:   Tue Jan 8 15:16:17 2019 +0000

    Bump RAM to 2048MiB

commit 8b2d22bbe4d609fbab615e512c996fdc9904d17e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 10 07:38:31 2018 +0000

    bumped changelog version

commit 337d6ffca0edbfaecd831134ffe5cbd0f0d49989
Merge: 8bc31b4 aeac4ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 8 05:35:46 2018 -0400

    Merge remote-tracking branch 'origin/master'

commit aeac4ee03bb98d12de567af79a94f92e86afff38
Merge: 12147c9 8e8259d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 8 09:30:43 2018 +0000

    Merge pull request #73 from HulaHoopWhonix/patch-74

    removed virtio input devices

commit 12147c9a44a9edf5a00c4a168ab4b650928fb95d
Merge: cd0cc8f ac19169
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 8 09:30:32 2018 +0000

    Merge pull request #72 from HulaHoopWhonix/patch-73

    removed virtio input devices

commit cd0cc8f976f591ca02f827a85e35fc72be8336fe
Merge: 8bc31b4 5be4be5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 8 09:29:59 2018 +0000

    Merge pull request #71 from HulaHoopWhonix/patch-72

    removed virtio mouse

commit 8e8259d4fdf87f44bce3ec929d70919279a7fa1f
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Fri Sep 7 23:04:22 2018 +0000

    removed virtio input devices

commit 5be4be53117be98e8483b3731ce5c8ab4090539f
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Fri Sep 7 23:02:51 2018 +0000

    removed virtio input devices

commit ac19169a9c203edbb557e1847b320efbd038d5e5
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Fri Sep 7 23:01:35 2018 +0000

    removed virtio input devices

commit 9a271455d1c7364e47a4a913af1b9bcc0dd0d5f2
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Fri Sep 7 22:59:20 2018 +0000

    removed virtio mouse

commit 8bc31b4a68e7a6297977d8b9d034d9da41358e03
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 17:05:58 2018 +0000

    bumped changelog version

commit 96222a738af65f77d691991202a194414ab84383
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:56 2018 +0800

    readme

commit 752f9727b139cd4133ed77e9ad67d0d54840145e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 19 14:32:03 2018 +0000

    bumped changelog version

commit 3c2bd981830da18ff850b00b3a65271092025f29
Merge: 9d3eaba 1061060
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 19 21:26:29 2018 +0800

    Merge remote-tracking branch 'origin/master'

commit 106106059126af983ecdf9accf862536c53d2af1
Merge: 383dc96 64a0d37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 19 21:20:15 2018 +0800

    Merge pull request #68 from HulaHoopWhonix/patch-70

    Enabled cpu passthrough for CPU bug fixes

commit 383dc9655dda7c9caf634ee610418398f2db8196
Merge: 7d0f43f 762eec8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 19 13:47:27 2018 +0800

    Merge pull request #67 from HulaHoopWhonix/patch-69

    removed cache setting. supported later versions.

commit 7d0f43f63914381304365041b15e8656ecaaefbb
Merge: 9d3eaba 4c623d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 19 13:47:06 2018 +0800

    Merge pull request #69 from HulaHoopWhonix/patch-71

    Enabled cpu passthrough for CPU bug fixes

commit 4c623d2fec553fa4fb63851ca80fcf8e24bf4c83
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jul 18 23:06:18 2018 +0000

    Enabled cpu passthrough for CPU bug fixes

commit 64a0d37c404feaa0964de802a6bf8a3d7dfd7964
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jul 18 23:04:48 2018 +0000

    Enabled cpu passthrough for CPU bug fixes

commit 762eec8d20da2d1b3ac0ed2bcfd0f51766116316
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jul 18 23:02:59 2018 +0000

    removed cache setting. supported later versions.

commit 9d3eaba7559b4b41f9cddbc606d728450c8fb4a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:56:15 2018 +0000

    bumped changelog version

commit 3c052a538e13cb356a5020547731fc452a5c0f52
Merge: d35feaf 5c241c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:21:43 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit 5c241c2a7a7000f61ded6514f731e09ac6524e48
Merge: 7aa920c c1322cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 14:19:46 2018 +0200

    Merge pull request #65 from HulaHoopWhonix/patch-67

    acpi and clflush reinstated for future features

commit 7aa920ccedba3db0c379b7bed5758a555ed273ef
Merge: d35feaf c659063
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 14:19:23 2018 +0200

    Merge pull request #66 from HulaHoopWhonix/patch-68

     acpi and clflush reinstated for future features

commit c65906339d118672cd51f5e9e1a06afe07e55350
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Mar 14 22:51:18 2018 +0000

     acpi and clflush reinstated for future features

commit c1322cbecfe530a1183b66ef4aa8fbcd5d3ab374
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Mar 14 22:46:22 2018 +0000

    acpi and clflush reinstated fo future features

commit d35feafd57a8a6d26c41cc2d80fd92c72ca74e60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:36:12 2018 +0000

    bumped changelog version

commit ac53a02a25ad8d03e24a433711d3a14d5fd155d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:57 2018 +0000

    readme

commit 0b1f307f7122a1bb74d3786ba212410ff2b057c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:39:06 2018 +0000

    update copyright

commit 6d123cb8e837e23295e183ac83d0659c367ec8cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:15 2018 +0000

    update copyright

commit 342e4a50869f2603e2b386e68c587bdd2345ac79
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:26 2018 +0000

    update copyright

commit 2feaa77decf59620b90ebcd706198115f1d82cc2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:51 2018 +0000

    update copyright

commit b0d0e3e9e5815f794d7ade0883e5ee7ba6727720
Merge: 71a5806 f6f3f3f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 24 22:39:28 2018 +0100

    Merge remote-tracking branch 'origin/master'

commit f6f3f3fadbd2743982be8516c783c86e7cd9c522
Merge: 71a5806 76385ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 24 22:36:16 2018 +0100

    Merge pull request #64 from HulaHoopWhonix/patch-66

    fix cpu settings typo

commit 76385ce55bf32364f7132079106f75e6dca556f3
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Jan 23 01:10:26 2018 +0000

    fix cpu settings typo

commit 71a5806ffd1c47e4706be1b8f9e27a72d4ea7d48
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:44:18 2017 +0000

    bumped changelog version

commit 40fff7191ff275f4813d559d7085cfebe908e6d0
Merge: 06362e3 b614db3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 19 15:02:54 2017 +0000

    Merge remote-tracking branch 'origin/master'

commit b614db33b34f8e9ca64ea78cb017af2e4d0d34cc
Merge: 6e29da6 5e8f50f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 19 14:55:19 2017 +0000

    Merge pull request #63 from HulaHoopWhonix/patch-65

    Pass thru host CPU and cache info for perf

commit 5e8f50fccc1d209653c48491ad4a46640a663dd9
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat May 20 14:32:43 2017 +0000

    Pass thru host CPU and cache info for perf

    GW is part of the TCB so it shouldn't harm privacy.

commit 6e29da650373f76cf850f21e3b6c2fc50e1d1907
Merge: 3d41c78 14da48b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 29 23:58:10 2017 +0200

    Merge pull request #62 from HulaHoopWhonix/patch-63

    switched input devices to virtio

commit 3d41c7800d256935979e7b055de62bbb9932448a
Merge: c4c2255 d858686
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 29 23:58:04 2017 +0200

    Merge pull request #61 from HulaHoopWhonix/patch-62

    switched input devices to virtio

commit c4c2255bb54cc28247d810d5c7df7a4d30e4bf91
Merge: 06362e3 052d1cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 29 23:57:56 2017 +0200

    Merge pull request #60 from HulaHoopWhonix/patch-61

    switched input devices to virtio

commit 14da48bd744808c9188c1878699f8df366463f4b
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Apr 29 15:45:40 2017 +0000

    switched input devices to virtio

commit d858686e4d2b8bcad5b42f2d35f8bba6f5883c4d
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Apr 29 15:43:44 2017 +0000

    switched input devices to virtio

commit 052d1cf15b377fff8d87ab3bf0870a93a7dafe40
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Apr 29 15:41:29 2017 +0000

    switched input devices to virtio

commit 06362e3d22aa5de311a82146fbb65772902b9d60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:17:30 2017 +0000

    bumped changelog version

commit 1e64523ecc6d63e72374b055de5d273e2c81bf26
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:56 2017 +0000

    remove faketime from Build-Depends:

    since no longer used for reproducible builds

commit 02fb335e88864b3dca8635692b7e948cc50951b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:34 2017 +0000

    remove debian/gain-root-command workaround

commit c166135220537f98eb074f83263d529e1b97c5ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 17:46:07 2017 +0100

    bumped changelog version

commit 0e965dd0f7e1db15bc9496a59eae0fc2f5fdd654
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 17:45:58 2017 +0100

    create signed commit

commit 563828185f81626a560d8f2824282121885e0307
Merge: 2fc642a 040cb3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 09:09:00 2017 +0100

    Merge remote-tracking branch 'origin/master'

commit 040cb3d25c8b44a2f1cdf3520251ba5c93457ca2
Merge: e904fd6 4471269
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 09:08:10 2017 +0100

    Merge pull request #59 from HulaHoopWhonix/patch-60

    Disable vmport and pmu

commit e904fd672ae562a249bdbca12ec48c0fe31b80ac
Merge: 780aaea ba3d99e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 09:07:50 2017 +0100

    Merge pull request #58 from HulaHoopWhonix/patch-59

    Disable vmport, pmu and pvspinlock

commit 780aaea385e5c0aa4043f45ec4bb092931b678da
Merge: 2fc642a 477228b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 09:07:33 2017 +0100

    Merge pull request #57 from HulaHoopWhonix/patch-58

    Disable vmport and pmu

commit 44712698be823bf44549d8f2019332498e16d0ae
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Jan 19 23:19:45 2017 +0000

    Disable vmport and pmu

commit ba3d99ed61ef77ba58f21a59456139dffc3f6b77
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Jan 19 23:18:19 2017 +0000

    Disable vmport, pmu and pvspinlock

commit 477228b95d0d1bbbc870652b1eb81a0727463c65
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Jan 19 23:16:22 2017 +0000

    Disable vmport and pmu

commit 2fc642a495d01dd6497e6b42235a9fccba1be52b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:34:51 2017 +0000

    bumped changelog version

commit f048db2c02859ee51e3bbe25865c5cbb405069d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 11:18:30 2017 +0000

    add signed commit

commit 55f8700d67592fe5715203eb86a7e0ffd1c391e5
Merge: 28f2aaf d2bef41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 10:45:24 2017 +0000

    Merge remote-tracking branch 'origin/master'

commit d2bef41b09833c14433d3155ecf3834019fcdaef
Merge: d76577f ef0a4be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 10:43:05 2017 +0000

    Merge pull request #53 from HulaHoopWhonix/patch-54

    Create external_network.xml

commit d76577f9f18a0aa48c3f9536cfedd3b3a666b3f5
Merge: 91b3565 fb87793
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 10:42:46 2017 +0000

    Merge pull request #56 from HulaHoopWhonix/patch-57

    Restored default vram values

commit 91b3565d624ff224965d638bc8f46568160599b9
Merge: 8da8007 e9ce597
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 10:42:17 2017 +0000

    Merge pull request #55 from HulaHoopWhonix/patch-56

    Restored default vram values

commit 8da80072ef37e2dd7ae63d0b78d867401051946f
Merge: 3c778e5 c4fd821
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 10:41:35 2017 +0000

    Merge pull request #54 from HulaHoopWhonix/patch-55

    Restored default vram values

commit 3c778e5eb874cda9d1fc85a1cc5c90e0c6f172a7
Merge: 28f2aaf 06fe51b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 10:40:11 2017 +0000

    Merge pull request #52 from HulaHoopWhonix/patch-53

    Update and rename Whonix_network.xml to internal_network.xml

commit 28f2aaff1ac09edfa6eb9e1e6f74e6d06620fbfd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:39:17 2017 +0000

    bumped changelog version

commit 175bcccde1bfbf122a2249c2e563f5f819b0c8bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:53 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit a7a1b76f2a53f5e8d739e78d509bdd0853046990
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:41:06 2016 +0000

    bumped changelog version

commit c4fd82121a01293e3d2824b5c398484d6a41c8a7
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Nov 27 23:05:23 2016 +0000

    set IO limit

commit fb877934efbda72df1aebe084961532ad01fd34c
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Nov 27 23:03:42 2016 +0000

    Update Whonix-Workstation.xml

commit e9ce5976508ef6984c35f1f560657beb5fa5a971
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Nov 27 23:03:07 2016 +0000

    Update Whonix-Custom-Workstation.xml

commit 5dbd59b33e124c5bd8af89b805666553aa9f7e3f
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Nov 27 23:01:42 2016 +0000

    set IO limit

commit b47930bf78258937b81c23ed4b9fab0ece7504fe
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Nov 27 22:57:28 2016 +0000

    set IO limit

commit b2d84af503f965f91bc928ef67e5c90ec9928ef7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:44:14 2016 +0000

    readme

commit 6cc87692c6e22d8227da9be0951ae52fff1547f4
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Oct 13 11:22:24 2016 +0000

    Updated network names

commit c8c3332ad9677189827931c5d99cdbb3d2e8e43a
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Oct 13 11:22:16 2016 +0000

    Updated network names

commit f7af28754b6ce641e12d0bc6944edebac2f15e01
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Oct 13 11:19:08 2016 +0000

    Updated network names

commit 67e2b77e60a95e420f97ef3a5a18a89228507afe
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Oct 13 11:12:48 2016 +0000

    Restored default vram values

commit 87e20074cee06bcf2601bd282f78f1cd97919fc6
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Oct 13 11:11:37 2016 +0000

    Restored default vram values

commit e0cd797405a0c384894a2528ca6d2c8527705f7a
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Oct 13 11:09:19 2016 +0000

    Restored defaut vram values

    The extra vram was a waste of RAM

commit ef0a4be1b8fc71f07d7773376e6198ac6ab0b08b
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Oct 1 03:14:08 2016 +0000

    Create external_network.xml

commit 06fe51b86a198bda93fa2d24af9f4e19d703c517
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Oct 1 03:11:55 2016 +0000

    Update and rename Whonix_network.xml to internal_network.xml

commit f996b6ada1be74df056a90ecd7f3dc1d4d966560
Merge: f17f670 00d1fe9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 29 20:18:35 2016 +0200

    Merge remote-tracking branch 'origin/master'

commit 00d1fe92eda7faad36dfdead73e20e2379e71ac5
Merge: 827e49f 4856377
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 29 20:17:54 2016 +0200

    Merge pull request #51 from HulaHoopWhonix/patch-52

    Rate limit RNG

commit 827e49f9c67ea6d4740c3dc5a10094bc28f5cecf
Merge: 721e532 c314e90
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 29 20:17:30 2016 +0200

    Merge pull request #50 from HulaHoopWhonix/patch-51

    Rate limit RNG

commit 721e53291ee516fecf4b27fce43276bc88c7280f
Merge: f17f670 2ef08ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 29 20:17:13 2016 +0200

    Merge pull request #49 from HulaHoopWhonix/patch-50

    Rate limit RNG

commit 4856377e9e20d4de57edb5f454555624e3602ef9
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Sep 29 13:33:56 2016 +0000

    Rate limit RNG

    This is necessary to prevent malicious entropy starvation of other VMs and the host.

    https://www.certdepot.net/rhel7-get-started-random-number-generator/

commit c314e90c6d3e1aab70e51bf0758fc42783120113
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Sep 29 13:32:33 2016 +0000

    Rate limit RNG

    This is necessary to prevent malicious entropy starvation of other VMs and the host.

    https://www.certdepot.net/rhel7-get-started-random-number-generator/

commit 2ef08ee37b6c82ddc3875569afcb5fad4d98fa45
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Sep 29 13:30:59 2016 +0000

    Rate limit RNG

    This is necessary to prevent malicious entropy starvation of other VMs and the host.

    https://www.certdepot.net/rhel7-get-started-random-number-generator/

commit f17f670847e25368b855aef837fbba3800ef3bb9
Merge: 17314e8 b885449
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 9 14:22:08 2016 +0200

    Merge remote-tracking branch 'origin/master'

commit b885449d2947505299b1171e66028c3ea5102a4e
Merge: a107c1e 2547474
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 9 14:19:49 2016 +0200

    Merge pull request #48 from HulaHoopWhonix/patch-49

    Memory balloon feature disabled. Could potentially aid rowhammer.

commit a107c1e5a407c5ea05d8762cee9508ce449bd577
Merge: 31dca46 a20d200
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 9 14:19:42 2016 +0200

    Merge pull request #47 from HulaHoopWhonix/patch-48

    Memory balloon feature disabled. Could potentially aid rowhammer.

commit 31dca4653d0669e3993a41b63642ff2f095d555e
Merge: 17314e8 d9770eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 9 14:19:34 2016 +0200

    Merge pull request #46 from HulaHoopWhonix/patch-47

    Memory balloon feature disabled. Could potentially aid rowhammer.

commit 2547474b444c745eaea9e62ad13d1071deaa5a91
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Sep 7 22:47:06 2016 +0000

    Memory balloon feature disabled. Could potentially aid rowhammer.

commit a20d20085e48ec2890aa3620f680230d66391e00
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Sep 7 22:45:27 2016 +0000

    Memory balloon feature disabled. Could potentially aid rowhammer.

commit d9770eb976a49136ffdb01a6836823d53b55bcac
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Sep 7 22:44:23 2016 +0000

    Memory balloon feature disabled. Could potentially aid rowhammer.

commit 17314e8f5cc9119aa40000334440c62930b3ce2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 30 21:17:00 2016 +0000

    sudo --non-interactive

    https://phabricator.whonix.org/T549

commit 5620e921d2cf0135e1b1ae6deb8f6b746c2df83b
Merge: 0dbd0af 773a83d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 29 17:45:03 2016 +0000

    Merge remote-tracking branch 'origin/master'

commit 773a83d14bd6927fcd03344ecba35985766545a6
Merge: 731b891 bc5082c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 29 17:43:49 2016 +0000

    Merge pull request #45 from HulaHoopWhonix/patch-46

    attack surface reduction

commit 731b891f4b1486c77990e65e85cf24a3b57dc4b3
Merge: df7d27d d592c94
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 29 17:43:32 2016 +0000

    Merge pull request #44 from HulaHoopWhonix/patch-45

    attack surface reduction

commit df7d27d77da6f4570de3a7173f624fa0794663ee
Merge: 0dbd0af 233381c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 29 17:43:19 2016 +0000

    Merge pull request #43 from HulaHoopWhonix/patch-44

    attack surface reduction

commit bc5082cda16282d9f6d24c6fc89abfe77e7f947d
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Aug 28 19:57:47 2016 +0000

    attack surface reduction

    Disabled (for attack surface reduction):

    Rest of changes irrelevant for trusted GW.

    * (explicitly) mem dedupe in case host is silly enough to have it enabled.
    * pae
    * apic

commit d592c947bfbea0ec94a16cbdbf35a008a67eac3c
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Aug 28 19:50:33 2016 +0000

    attack surface reduction

    Disabled (for attack surface reduction):

    * rtc and acpi_pm timers leaving the coarse and inaccurate jiffies and refined_jiffes internal counters as the only guest source.
    * (explicitly) mem dedupe in case host is silly enough to have it enabled.
    * pae
    * apic
    * acpi
    * pvspinlock because we don't want multithreading

commit 233381c08433cf0cd2be475952a55d5d01ab1193
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Aug 28 19:45:10 2016 +0000

    attack surface reduction

    Disabled (for attack surface reduction):

    * rtc and acpi_pm timers leaving the coarse and inaccurate jiffies and refined_jiffies guest internal counters as the only guest source.
    * (explicitly) mem dedupe in case host is silly enough to have it enabled.
    * pae
    * apic
    * acpi
    * pvspinlock because we don't want multithreading

commit 0dbd0afca542fe6fbdd15c88c8c1e4a9432718bd
Merge: c86b3bb 81723d6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 19 15:45:37 2016 +0000

    Merge remote-tracking branch 'origin/master'

commit 81723d6baed378deada5ffed195667b0682f67c4
Merge: 2bedebc bcae8ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 19 15:44:51 2016 +0000

    Merge pull request #42 from HulaHoopWhonix/patch-43

    Pin vcpu to physical cpu. Reduce to 1 cpu

commit 2bedebc2c140148b518f22307d44d66d3fd731d7
Merge: d31e8e0 c10111f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 19 15:44:39 2016 +0000

    Merge pull request #41 from HulaHoopWhonix/patch-42

    Pin vcpu to physical cpu. Reduce to 1 cpu

commit d31e8e00c5f9a489caeb60760e49fe82e021b259
Merge: c86b3bb 1423e91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 19 15:44:27 2016 +0000

    Merge pull request #40 from HulaHoopWhonix/patch-41

    Pin vcpu to physical cpu

commit bcae8efa72f853c35f84111ccaa71f8ab5804b10
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Aug 18 03:21:42 2016 +0000

    Pin vcpu to physical cpu. Reduce to 1 cpu

commit c10111fbd68544bda88d9ca858fe85a2b9407e2d
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Aug 18 03:19:49 2016 +0000

    Pin vcpu to physical cpu. Reduce to 1 cpu

    Makes some covert channel attacks more difficult. Eliminates cross-VM cache attacks on crypto.

commit 1423e91959b0e7bfb9d308fe618f9378bd12796d
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Aug 18 03:12:54 2016 +0000

    Pin vcpu to physical cpu

commit c86b3bb5c87b924214bed79a6f0b675eb41e6f09
Merge: 13a2946 7eab676
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 5 01:43:42 2016 +0200

    Merge remote-tracking branch 'origin/master'

commit 7eab676f5469029608aeabe67fc329f9757aa204
Merge: 9892d34 8abdba7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 5 01:42:54 2016 +0200

    Merge pull request #39 from HulaHoopWhonix/patch-40

    Removing accel cruft

commit 9892d345a6c627c658f2418ab129ac533e39a3c4
Merge: 7d63a68 bda5ce7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 5 01:42:41 2016 +0200

    Merge pull request #38 from HulaHoopWhonix/patch-39

    Removing accel cruft

commit 7d63a68d5a43796e9e21a3442eb9066afe2404b9
Merge: 13a2946 0fa5188
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 5 01:42:23 2016 +0200

    Merge pull request #37 from HulaHoopWhonix/patch-38

    Removing accel cruft

commit 8abdba796ca24b598523f6faa79e845a20dc7ef8
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Mon Jul 4 03:19:49 2016 +0000

    Removing accel cruft

commit bda5ce7431fde95e941332a34c3053832142b548
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Mon Jul 4 03:18:07 2016 +0000

    Removing accel cruft

commit 0fa518837a6f27b0657359555f96279e19a91eae
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Mon Jul 4 03:16:22 2016 +0000

    Removing accel cruft

commit af6fc49b31237837917892f54ce7c745a2e98847
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Mon Jul 4 03:06:59 2016 +0000

    Removing accel cruft

commit 13a2946940a528d0adf0d165bda01b2b0a6cb944
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 2 14:57:40 2016 +0000

    Revert "Merge remote-tracking branch 'origin/master'"

    This reverts commit 28d8c080d46ba6923f31d268d65eeee462416ae3, reversing
    changes made to b61635d8ad1a81ef3c9c3c2aa6de55e3e1860764.

commit 28d8c080d46ba6923f31d268d65eeee462416ae3
Merge: b61635d 1998125
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 2 14:55:34 2016 +0000

    Merge remote-tracking branch 'origin/master'

commit 1998125faf8c50870402510fbb537a2bd97ae5cf
Merge: e4f109b f62deb5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 2 11:25:51 2016 +0000

    Merge pull request #36 from HulaHoopWhonix/patch-37

    Hide the KVM hypervisor from standard MSR based discovery

commit e4f109b4cd605c0150108926de00f21efdefd4fd
Merge: 4b0b398 99d5d70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 2 11:25:33 2016 +0000

    Merge pull request #35 from HulaHoopWhonix/patch-36

    Hide the KVM hypervisor from standard MSR based discovery

commit 4b0b398a6b5deb49f4ffd2d97d1c9c4f06f97050
Merge: b61635d 8b93ee8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 2 11:25:21 2016 +0000

    Merge pull request #34 from HulaHoopWhonix/patch-35

    Hide the KVM hypervisor from standard MSR based discovery

commit f62deb51ac83437457f57b768dfaf728c5a30aed
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jun 1 23:36:31 2016 +0000

    Hide the KVM hypervisor from standard MSR based discovery

commit 99d5d70a8bf6e7495295a6046491c1b97c463d19
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jun 1 23:35:08 2016 +0000

    Hide the KVM hypervisor from standard MSR based discovery

commit 8b93ee84f02b254a742945c941ac28c5aaf15513
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Jun 1 23:33:11 2016 +0000

    Hide the KVM hypervisor from standard MSR based discovery

commit b61635d8ad1a81ef3c9c3c2aa6de55e3e1860764
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:58 2016 +0000

    bumped changelog version

commit 9c516578d2b7647861d80a5a3779a40237898c6e
Merge: 06ba84d 606dd6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 19 16:29:22 2016 +0100

    Merge remote-tracking branch 'origin/master'

commit 606dd6c5de55a5f273fd2d1349b7ec8b4bc3c297
Merge: 888ea87 298bf61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 19 16:27:51 2016 +0100

    Merge pull request #33 from HulaHoopWhonix/patch-34

    Update Whonix-Workstation.xml

commit 888ea8770742cbccb3c4ca1575e7caf577e99799
Merge: 7ac2cd9 839f6d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 19 16:27:44 2016 +0100

    Merge pull request #32 from HulaHoopWhonix/patch-33

    Update Whonix-Gateway.xml

commit 7ac2cd9965b1b32bd6faa6ab078bc117ab1fbbc8
Merge: 06ba84d ac067f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 19 16:27:36 2016 +0100

    Merge pull request #31 from HulaHoopWhonix/patch-32

    Update Whonix-Custom-Workstation.xml

commit 298bf61f84e83373eb0e34f769a9b332492fc716
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Mar 3 19:11:51 2016 +0000

    Update Whonix-Workstation.xml

commit 839f6d79086f8790ab1576b23a7b5000d11bba77
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Mar 3 19:10:18 2016 +0000

    Update Whonix-Gateway.xml

commit ac067f13a32314fb1b4b84cb8cb1907c5a0d74f4
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Mar 3 19:07:50 2016 +0000

    Update Whonix-Custom-Workstation.xml

commit 06ba84d36e489130d1670ac05390dbca0c977556
Merge: 46d8839 09c7208
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 10 20:30:27 2016 +0100

    Merge remote-tracking branch 'origin/master'

commit 09c7208ce2439d1d661ca28a8f6c045bd067723b
Merge: 0d1c0a7 1146e4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 10 19:37:13 2016 +0100

    Merge pull request #30 from HulaHoopWhonix/patch-31

    Update Whonix-Custom-Workstation.xml

commit 0d1c0a7807638e59eb4d2ee2128ea8febcf74d84
Merge: 3e90584 36a0e5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 10 19:37:00 2016 +0100

    Merge pull request #29 from HulaHoopWhonix/patch-30

    Update Whonix-Gateway.xml

commit 3e90584caf33811101d59a39bac26d1a307bfb18
Merge: 46d8839 0346f24
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 10 19:36:51 2016 +0100

    Merge pull request #28 from HulaHoopWhonix/patch-29

    Update Whonix-Workstation.xml

commit 1146e4a9e3dda2c92dfb7e18d4c109c73f20d2f0
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Feb 10 17:25:00 2016 +0000

    Update Whonix-Custom-Workstation.xml

commit 36a0e5d3910f5eb7d42e5c70de125b870bed1191
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Feb 10 17:24:32 2016 +0000

    Update Whonix-Gateway.xml

commit 0346f241e86ac88c07fe40a8783651be70cfc011
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Wed Feb 10 17:20:35 2016 +0000

    Update Whonix-Workstation.xml

commit 46d8839bde9714511776df860255b6d26cf740a5
Merge: 96d7501 9e46dc4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 10 03:07:56 2016 +0100

    Merge remote-tracking branch 'origin/master'

commit 9e46dc4ab8c0dca4e480b385b6c2d3be20d1c0e8
Merge: 22fbd4e 3e52782
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 10 03:06:01 2016 +0100

    Merge pull request #27 from HulaHoopWhonix/patch-27

    Update Whonix-Gateway.xml

commit 22fbd4ee44f8f16652eac5ec643bb68d9919dd69
Merge: e17d894 257b59a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 10 03:05:46 2016 +0100

    Merge pull request #26 from HulaHoopWhonix/patch-28

    Update Whonix-Custom-Workstation.xml

commit e17d894f0dcf64257e6154af2ec9e9088eed6fd1
Merge: 96d7501 7516edd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 10 03:05:31 2016 +0100

    Merge pull request #25 from HulaHoopWhonix/patch-26

    disable svm until stretch

commit 257b59a843bb7c7c1504aeb69ea83882d1c11567
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Feb 6 21:11:20 2016 +0000

    Update Whonix-Custom-Workstation.xml

commit 7516eddb8b87af7cfcaaa9e5e74d3cbba86337cc
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Feb 6 21:10:36 2016 +0000

    Update Whonix-Workstation.xml

commit 3e52782cb7397c698166ba529d015ae263608618
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Feb 6 21:08:48 2016 +0000

    Update Whonix-Gateway.xml

commit af76fc9093e84a75aaf81e9e1da539cfd0ae13be
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Feb 6 21:08:04 2016 +0000

    disable svm until stretch

commit 96d75011d0bff213465d0cc804068fd155d52031
Merge: 4373797 150ae2c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 22 02:27:47 2015 +0100

    Merge remote-tracking branch 'origin/master'

commit 150ae2c50f1f5cc1b27383bfa8279b08091c039a
Merge: 4373797 390ae6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 22 02:27:19 2015 +0100

    Merge pull request #24 from HulaHoopWhonix/patch-25

    Update Whonix-Gateway.xml

commit 390ae6a6bad866b73f10227bbebe2172fdce0028
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Dec 22 00:28:05 2015 +0000

    Update Whonix-Gateway.xml

commit 4373797af35862e02677cbb88520d0fd0e92827c
Merge: 03a13f7 6c0a05e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 12 04:25:56 2015 +0000

    Merge remote-tracking branch 'origin/master'

commit 6c0a05e17c5dc49d8af132e774716e3d01818bb2
Merge: 9212f38 072ea8b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 12 04:25:07 2015 +0000

    Merge pull request #23 from HulaHoopWhonix/patch-24

    Update Whonix-Gateway.xml

commit 9212f381db454b08a78ed9649839ce51d129924e
Merge: c6704a8 c008fbd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 12 04:24:51 2015 +0000

    Merge pull request #22 from HulaHoopWhonix/patch-23

    Update Whonix-Workstation.xml

commit c6704a86a13c3a7963421d01bb24d46bde5e0b1b
Merge: 03a13f7 d8060f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 12 04:24:39 2015 +0000

    Merge pull request #21 from HulaHoopWhonix/patch-21

    Update Whonix-Custom-Workstation.xml

commit 072ea8b6d6f6eee9f1662148b236d3da626c8527
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Dec 12 04:10:52 2015 +0000

    Update Whonix-Gateway.xml

commit c008fbdf8a22771dbd7ed9aff35ee577ab678ef4
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Dec 12 04:00:17 2015 +0000

    Update Whonix-Workstation.xml

commit d8060f4c452949e2552a8cf2be119cfc06f6d469
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Dec 12 03:51:21 2015 +0000

    Update Whonix-Custom-Workstation.xml

commit 03a13f74f2654793192eebc362cea427073391ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:08:35 2015 +0000

    bumped changelog version

commit a0df2124f61c9d2721cf1f7b4ff60ed93b69840b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 15:00:42 2015 +0000

    bumped changelog version

commit 18327de44aefa5cc39f1c50e40fb2670567d10f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 23:52:27 2015 +0000

    bumped changelog version

commit 30fe3bde4858e242518cd0a610c98ee044b42ecd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 22:45:53 2015 +0000

    CI

commit 24ef95be82cd0805c16bd100e295dbb6e9860e1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 22:38:26 2015 +0000

    CI

commit 2b433b314a775d58f1548c8cc87797e198092815
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 22:22:20 2015 +0000

    CI

commit 7d9b75e8dd541120cebfb683ca50ea9fa87f389f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 22:15:12 2015 +0000

    CI

commit 157c9443c498a39cd5306a5c8d8883aa2f4224ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 22:10:13 2015 +0000

    CI

commit eb54e0ee885eb84438846fb66503ed660ea6419a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 21:36:37 2015 +0000

    CI

commit 31d7c8b3bf4659bf111ccf6baa87a2685d966cb7
Merge: 0838718 694d78b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 20:56:56 2015 +0000

    Merge remote-tracking branch 'origin/master'

commit 694d78b8edae207b820ac3a887a97068a31e6dc4
Merge: bc67de4 d7c9577
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 22:55:52 2015 +0200

    Merge pull request #20 from HulaHoopWhonix/patch-20

    Update Whonix-Custom-Workstation.xml

commit bc67de4d03a3c84ce5d2759e6ba9208cdfb89a34
Merge: 2eda27d 0dd4ab1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 22:55:47 2015 +0200

    Merge pull request #19 from HulaHoopWhonix/patch-18

    virtio hardcoded

commit 2eda27deefe19e9ad94d6981d452ed1533b1dad3
Merge: 0838718 0d1074e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 22 22:55:37 2015 +0200

    Merge pull request #18 from HulaHoopWhonix/patch-19

    Update Whonix-Gateway.xml

commit d7c95777863036aea6f60b248fda504446d6fb4d
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Fri May 22 15:49:34 2015 +0000

    Update Whonix-Custom-Workstation.xml

commit 0d1074e398507b9c378fc76e51903399d1006e29
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Fri May 22 15:47:15 2015 +0000

    Update Whonix-Gateway.xml

commit 0dd4ab114a4fcefc9ffc1ee175e76f8ca210ee95
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Fri May 22 15:45:31 2015 +0000

    virtio hardcoded

commit 0838718b02a67c0b64c3c2d81b49ab50b131dff8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:57:13 2015 +0000

    bumped changelog version

commit 2dd0a0d16cc8f6c058dc644ba5b9a3d5a05b9ec3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:32 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit e7b21b8eaf5348e5c895fe708daaad10aee3ebbf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:18:41 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit 40e50c50a269331d7f3b70a93abb7d5fa2dce39d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:43:13 2015 +0000

    bumped changelog version

commit 7e4dcec671ea2ec8008c8e4c89e40629919bf5ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:42 2015 +0000

    added genmkfile to Build-Depends

commit 1cd9a0028c85fb64f374ec0c41d8fb42d8b6417c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:57 2015 +0000

    updated makefile generic to version 1.5

commit 0351c49b54b706c8f06da431492b2c82f3ff6695
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:37:13 2015 +0000

    bumped changelog version

commit ac37be3da80b2a202cfaf3a00fc9b25b7603d291
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:27:03 2015 +0000

    updated makefile generic to version 1.4

commit 221b708aca68e79511667660b42c40659aeef4d6
Merge: 9cdcf40 f745e96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 11 12:54:16 2015 +0000

    Merge remote-tracking branch 'origin/master'

commit f745e96d800b237a23a5a5c71a694b5266459bf5
Merge: 9cdcf40 9044d91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 11 13:53:46 2015 +0100

    Merge pull request #11 from HulaHoopWhonix/patch-11

    minor edit

commit 9044d910fe83bba5390f07cb7d05a4b005090bbe
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Mar 10 23:57:36 2015 +0000

    minor edit

commit 9cdcf40bc1c99bc01ef80e8db6b36949736ad131
Merge: c9624a5 8a5facf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 10 21:52:49 2015 +0000

    Merge remote-tracking branch 'origin/master'

commit c9624a5f1e04c3e69b5751068827cfb7327a65ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 10 21:51:06 2015 +0000

    ci_test: qemu has been deprecated, removed from ci test

commit 8a5facf342c4da4dccf6250fbcb33ab31e152ced
Merge: f0a1ea3 0ddd1de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 10 22:43:08 2015 +0100

    Merge pull request #10 from HulaHoopWhonix/patch-10

    Rename Whonix-Custom-Workstation_kvm.xml to Whonix-Custom-Workstation.xm...

commit f0a1ea3ab7ddca9c109613f7d997f3244eeda17a
Merge: fc63a5a b5ce22d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 10 22:42:53 2015 +0100

    Merge pull request #9 from HulaHoopWhonix/patch-9

    Delete Whonix-Custom-Workstation_qemu.xml

commit fc63a5a317ecbc600d04c5110f798462c4a8c0d9
Merge: a13f042 d88226a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 10 22:42:40 2015 +0100

    Merge pull request #8 from HulaHoopWhonix/patch-8

    file rename + enable clipboard for bridge usability

commit a13f04233ee1c67143b75acb783dacd1562fa6de
Merge: 8956f65 52a12e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 10 22:42:18 2015 +0100

    Merge pull request #7 from HulaHoopWhonix/patch-7

    Rename Whonix-Workstation_kvm.xml to Whonix-Workstation.xml

commit 8956f6500a50aa1423d0812578b781adc8b32809
Merge: e7b0c4c 8d1983a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 10 22:41:04 2015 +0100

    Merge pull request #6 from HulaHoopWhonix/patch-6

    Delete Whonix-Gateway_qemu.xml

commit e7b0c4c05f4e2d7b0826e9c064fa6f3a756562f2
Merge: 930e208 687cda8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 10 22:40:46 2015 +0100

    Merge pull request #5 from HulaHoopWhonix/patch-5

    Delete Whonix-Workstation_qemu.xml

commit 0ddd1ded396f921c4966f2918b72f8ad8ec2ef45
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Mar 10 21:20:53 2015 +0000

    Rename Whonix-Custom-Workstation_kvm.xml to Whonix-Custom-Workstation.xml

commit b5ce22d6080c40cd4732214a9b06811f1ee4122d
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Mar 10 21:19:37 2015 +0000

    Delete Whonix-Custom-Workstation_qemu.xml

commit d88226af0c0c58ef4a71ec99c2578729feb90c1c
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Mar 10 21:18:48 2015 +0000

    file rename + enable clipboard for bridge usability

commit 52a12e7bbc7e81693f118aaf86402191fc42eb76
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Mar 10 21:17:14 2015 +0000

    Rename Whonix-Workstation_kvm.xml to Whonix-Workstation.xml

commit 8d1983abaa5a7bbbdb2f7ca7c89db6071eaf7c55
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Mar 10 21:15:25 2015 +0000

    Delete Whonix-Gateway_qemu.xml

commit 687cda8fca3364b01c07690806742f2c7beb8249
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Tue Mar 10 21:14:29 2015 +0000

    Delete Whonix-Workstation_qemu.xml

commit 930e20841af7d3e1c37b6d1034edffe3f69204f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:56:45 2015 +0000

    bumped changelog version

commit 7bfc5af2216a55c8917f2bfa98e4a323def439d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:45:08 2015 +0000

    added changelog.upstream

commit a9714edd51ec3b131a754318901620f220b4c75c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:41:01 2015 +0000

    updated makefile generic to version 1.3

commit c3355c80935742197894ef9985b553769c6bdfa4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:59:02 2015 +0000

    Added creation of upstream changelog to debian/rules

commit 63bc1ab76437815e7e5ba2fd861be9f20b59152b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 18:51:37 2015 +0000

    refactoring

commit d4de551a899b555c4dbda1b5947f96a71e07463c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 19:45:11 2015 +0000

    added readme

commit cd8e077dae1136dbff3185071f3773c5a38e86a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 19:35:04 2015 +0000

    bumped compat from 8 to 9

commit cfa32dd736f1db042497366090f4ff7ca112ae8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 1 17:38:43 2015 +0000

    show version numbers of relevant packages in unit test

commit 3a7a1157a5adb2bbb0d13d14eea653781346acd9
Merge: 8b82c9d 5855890
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 1 17:37:18 2015 +0000

    Merge remote-tracking branch 'origin/master'

commit 5855890cf1c48914956404164cb7008c2cf9e0b6
Merge: 6e8e233 0681699
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 1 18:35:55 2015 +0100

    Merge pull request #4 from HulaHoopWhonix/patch-4

    Update Whonix-Workstation_qemu.xml

commit 6e8e23374bea7b1793d68575b528f9f3fa2f02fa
Merge: ebe4d56 ce6ccbb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 1 18:35:48 2015 +0100

    Merge pull request #3 from HulaHoopWhonix/patch-3

    Update Whonix-Workstation_kvm.xml

commit ebe4d56699826c852d6393ef4f723491fbcf1faf
Merge: dbcac67 e919149
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 1 18:35:40 2015 +0100

    Merge pull request #2 from HulaHoopWhonix/patch-2

    Update Whonix-Custom-Workstation_qemu.xml

commit dbcac67a685346b2100a7571f2785eaa03d2c842
Merge: 8b82c9d ebbfdca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 1 18:35:33 2015 +0100

    Merge pull request #1 from HulaHoopWhonix/patch-1

    bumped up ws cpu no. to 2

commit 0681699858b5fe32779e46a741cc0cd6e1b70444
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Jan 1 17:26:32 2015 +0000

    Update Whonix-Workstation_qemu.xml

commit ce6ccbbaec4613a1a7206ee1902314b6a528ad9e
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Jan 1 17:14:22 2015 +0000

    Update Whonix-Workstation_kvm.xml

commit e919149a84bb57c523501740500bd864f3ea5fa5
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Jan 1 17:13:13 2015 +0000

    Update Whonix-Custom-Workstation_qemu.xml

commit ebbfdca2de7e1ea39af0420f5c5673b1c87de2c3
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Thu Jan 1 17:12:02 2015 +0000

    Update Whonix-Custom-Workstation_kvm.xml

commit 8b82c9db1f9c524f40544a8a64d3658239d76cf3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 20 19:16:31 2014 +0000

    unit test

commit 79984707f4c2d02150dc97cf974fbf6ebb8758a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 20 19:15:51 2014 +0000

    unit test

commit 4bcac51b264b9d78042899be005e4c06549224ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 20 19:11:07 2014 +0000

    unit test: use "virsh domxml-to-native qemu-argv"

commit 2ff13849ea0a36c1b42b8698addbc7827fac5cb1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 20 00:08:23 2014 +0000

    debugging

commit 1aec6b906a0acabd6ea1e62105eed34bb023babe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 19:54:44 2014 +0000

    unit test

commit ef0aeb7ae96d0da53aeea17ff54df32ba575afcf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 19:54:07 2014 +0000

    unit test

commit 57ef7dff75e0fa73fee6531ff85d23f6e22eab59
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 19:53:46 2014 +0000

    unit test

commit 3b17468e00dde603b2de4516e118cacc9f001a8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 19:51:31 2014 +0000

    unit test

commit 0da6156d151876440085fa599bdb91b71767c06b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 19:36:26 2014 +0000

    CI

commit 267b0a98437292b90f8b86a729f84b3f6ebeeb8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 19:26:45 2014 +0000

    CI

commit 2b4110bd97e7ca6a222072c38a20144702b22666
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 19:15:44 2014 +0000

    unit test

commit 462fd612781e96915b6e002af7ce186e7ecfc196
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 19:03:07 2014 +0000

    CI

commit cda989b01c5a5fcd3fc9f947b593ef149b90473e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 18:56:21 2014 +0000

    CI

commit 5b8c04dcd04f44a653843e77cff6bce95ca35220
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 18:24:36 2014 +0000

    fix

commit 3b757c22f3133fd05595ab75572c882cd940f8a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 18:22:36 2014 +0000

    test

commit 0e70c6f4ac7b625b75f1488766fe5c8fe2423ad0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 18:18:39 2014 +0000

    test

commit 956e812dc6294dd11e232c5f8b9dc839c1dc7030
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 18:14:16 2014 +0000

    unit test

commit ee3025087ed30fe68378838f949e0074800395b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 18:11:17 2014 +0000

    unit test

commit 738d9aba0dc1fc7bf34e3379cdde1222b2a43bc0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 09:11:23 2014 +0000

    unit test

commit b193af888c5f707231b6f7b67cd56478b2263088
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 09:06:03 2014 +0000

    CI

commit aebf305572ca8d08a70e52ce0f9b92ed1dc4c9ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 09:02:30 2014 +0000

    CI

commit 2420886c11b83c7271b9416003c3c98973cc98dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 08:57:32 2014 +0000

    initial implementation of unit test

commit 99aac44b2dee216fd18c7026bf2f7f66e5c309a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 08:57:10 2014 +0000

    initial implementation of unit test

commit e5da89b251f89d38992b4bb61f46a2db3af68515
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 08:22:49 2014 +0000

    packaging

commit 05e8d9f4e7bdbdb9091f60533997ca34397c3803
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 19 08:17:07 2014 +0000

    initial import from https://github.com/Whonix/Whonix/tree/master/libvirt
